




                     Model Change Bulletin              
              
                            MCB#2                 1/12/90

                      EKMA (dated 90005)

 

     This is the second EKMA Model Change Bulletin and was generated due to
the addition of an algorithm which varies water vapor concentrations with
changes in relative humidity and temperature. EKMA was also rewritten to
conform to the ANSI Fortran 77 Standard and to add an argument in a call
statement because of a plotter change at EPA's NCC.

                  **************************************
                  *                                    *
                  *           IMPORTANT NOTE           *
                  *                                    *
                  **************************************

     In order to successfully compile and execute this version of EKMA on a
specific computer system, several lines in the subroutine OPENA may have to be
commented out. For instance, there are incompatibilities between IBM JCL and
Fortran OPEN statements for which it is easiest to comment out several lines
of code than to make changes to individual OPEN statements. For specific
instructions and examples, please consult the file OZPC.RME that was
compressed along with this file into OZPC.ARC.

     A major rewrite of the EKMA(89059) source code for conformity with ANSI
Fortran 77 standard and compatiblity with the EPA IBM 3090, IBM-PC, VAX and
SUN computer systems has been completed. The source code has been uploaded to
the SCRAM BBS and is now available for downloading. Major changes to the code
include: (1) conformity to ANSI Fortran 77 Standards with one execption (see
OZPC.RME), (2) addition of a subroutine for opening various files needed to
execute EKMA, (3) support for the new 5845 plotter, and (4) the addition of a
variable water vapor concentration algorithm. This code is currently on the
SCRAM BBS and is the recommended code for this model. 

     This model will henceforth be identified by its name and a julian date,
(i.e. EKMA(dated 90005)). Future changes to this model will be identified by
an updated julian date found on the first line of the model source code and
followed by a reference to a SCRAM BBS Model Change Bulletin (MCB#n) which
will explain the nature and contents of the changes. All Model Change
Bulletins for this model will always be available for back reference on this
BBS. In the future, notification of changes (MCBs) to this model will be made
in the SCRAM ALERTS section of this BBS immediately following the LOGON
procedure.

     The following is a list of changes that have been made to EKMA(89059) to
bring it up to ANSI Fortran 77 Standards and to add the new algorithm. The
first major change occurred in upgrading EKMA to standards. Character
variables had to be separated from integer and real variables in the labeled
common statements. Some of the variables were being mixed with other types of
variables in usage. Several variables were redimensioned due to error
messages. Subroutine OPENA was added to facilitate opening files for input and
output among the diverse computer systems. Because of this diversity, several
lines may have to be commented out in order for the program to compile and run
on a particular system. Five dummy subroutines were written to field program
calls to a software plotting package that may not exist on some systems.

    In the following list of changes, two spaces in the squence identifier
columns, columns 73 through 80, were deleted. These spaces occurred between
the alphabetic identifier and the numeric identifier parts of the sequence
identifier. The purpose of this was to eliminate extra line feeds if this
listing were to be printed in an 80 column format.

1.  The header needs to be changed from: 
 
C***********************************************************************A  00
C                                                                       A  00
C                           EKMA (DATED 89059)                          A  00
C                                                                       A  00
C              *** SEE EKMA MODEL CHANGE BULLETIN MCB#1 ***             A  00
C                                                                       A  00
C     ON THE SUPPORT CENTER FOR REGULATORY AIR MODELS BULLETIN BOARD    A  00
C                                                                       A  00
C                              919-541-5742                             A  00
C                                                                       A  00
C***********************************************************************A  00

to:

C***********************************************************************A  00
C                                                                       A  00
C                           EKMA (DATED 90005)                          A  00
C                                                                       A  00
C              *** SEE EKMA MODEL CHANGE BULLETIN MCB#2 ***             A  00
C                                                                       A  00
C     ON THE SUPPORT CENTER FOR REGULATORY AIR MODELS BULLETIN BOARD    A  00
C                                                                       A  00
C                              919-541-5742                             A  00
C                                                                       A  00
C***********************************************************************A  00


and from:

C                          OZIPM-VERSION 4.20                           A   6

to:

C                     OZIPM-4 (EKMA) SCRAM VERSION                      A   6


2.  The introduction to the model also needs to be changed from:

C       THIS VERSION CONTAINS THE CARBON-BOND CHEMICAL MECHANISM        A  12
C    (CBM-4) DESCRIBED BY GERY ET AL. (1988)                            A  13
C       (EPA-600/X-XX-XXX)                                              A  14
C                                                                       A  15
C                                                                       A  16
C       OZIPM-4 IS AN CONDENSED VERSION OF OZIPM-3.  SUPERFICIALLY,     A  17
C    THERE ARE NO CHANGES.  THE DEFAULT MECHANISM IS THE CARBON-BOND    A  18
C    (VERSION 4) INSTEAD OF THE CBM-X IN OZIPM-3.  THE USER IS REFERRED A  19
C    TO HOGO AND GERY (1988) FOR A DESCRIPTION OF MODEL USAGE.          A  20
C                                                                       A  21
C       OZIPM-4 IS BASED ON THE ORIGINAL OZIPP PROGRAM BY WHITTEN       A  22
C    AND HOGO (1978) AND THE OZIPM-2 PROGRAM (GIPSON, 1984).            A  23
C    THIS VERSION USES THE GEAR INTEGRATION ROUTINES WRITTEN BY         A  24
C    SPELLMANN AND HINDMARSH (1975).                                    A  25
C                                                                       A  26
C       PARTS OF THIS PROGRAM ARE CONTRIBUTIONS FROM JEFFRIES (1982) ANDA  27
C    GIPSON (1984).  THEORETICAL PHOTOLYSIS ROUTINE ARE FROM SCHERE AND A  28
C    DEMERJIAN (1977).  THE SPLINE ROUTINES ARE FROM CLINE (1974).      A  29

to:

C       THIS VERSION WAS WRITTEN TO ANSI FORTRAN 77 STANDARDS AND       A  12
C   CONTAINS THE CARBON-BOND CHEMICAL MECHANISM (CBM-4) DESCRIBED       A  13
C   BY GERY ET AL. (1988) (EPA-600/3-88-012).                           A  14
C                                                                       A  15
C                                                                       A  16
C      OZIPM-4 IS AN CONDENSED VERSION OF OZIPM-3.  SUPERFICIALLY,      A  17
C   THERE ARE NO CHANGES.  THE DEFAULT MECHANISM IS THE CARBON-BOND     A  18
C   (VERSION 4) INSTEAD OF THE CBM-X IN OZIPM-3.  THE USER IS REFERRED  A  19
C   TO HOGO AND GERY (1988) FOR A DESCRIPTION OF MODEL USAGE.           A  20
C                                                                       A  21
C      OZIPM-4 IS BASED ON THE ORIGINAL OZIPP PROGRAM BY WHITTEN        A  22
C   AND HOGO (1978) AND THE OZIPM-2 PROGRAM (GIPSON, 1984).             A  23
C   THIS VERSION USES THE GEAR INTEGRATION ROUTINES WRITTEN BY          A  24
C   SPELLMANN AND HINDMARSH (1975).                                     A  25
C                                                                       A  26
C      PARTS OF THIS PROGRAM ARE CONTRIBUTIONS FROM JEFFRIES (1982) AND A  27
C   GIPSON (1984).  THEORETICAL PHOTOLYSIS ROUTINE ARE FROM SCHERE AND  A  28
C   DEMERJIAN (1977).  THE SPLINE ROUTINES ARE FROM CLINE (1974).       A  29


3.  The algorithms were last modified in May, 1989 and therefore the code
    revision date needs to be changed from:

C   ***************  CODE REVISION DATE:  JANUARY, 1989                 A  46

to:

C   ***************  CODE REVISION DATE:  MAY, 1989                     A  46
 
 
4.  Throughout the program character variables had to be separated from
    integer and real variables in the labelled common statements. The labelled
    common statements were also restructured for easier debugging. This is the
    first of many such cases in this program. These common statements were
    changed from: 
 
      COMMON /CALC/ NR,KR(200,12),A(200),S(200),R(200),ITYPE(200),IA(60)A  58
     1,JA(800),DILUT,TEMP,ERR,START,STOPP,SPECIS(61),TPRNT,TSTEP,ZENI   A  59
      COMMON /CNTRL/ SIG,SIGMA,INFO,NPTO,TSRT,DTIM,Z1,Z2,DCON,EHC,EXN,FLA  60
     1ST,TLST                                                           A  61
      COMMON /OPTS/ ISPD,ICAL,IACR,IDIL,IPLC,IEMS,IRDY,IBLK,IBCK,       A  62
     1IPLT,ITRN,ITIT,IRCT,IRAT,ITIM,IMCH,INIT,ISTR,IMIX,ISPC,ITMP       A  63
     2,IALF,IDEP,IZNI,IMAS,IMOL,ICRE,IBIO                               A  64
      COMMON /SCRAT3/ WY(20),ISPN                                       A  65
      COMMON /SPEC/ NS,HCSPEC(20),CARB(20),RCTY(20),XNF(2),IH(20),      A  66
     1INOX(2),FINHC(20),FALHC(20),NHC,OZIN,OZAL,HCIN,HCAL,XNIN,XNAL,    A  67
     2NOZ,FENX(2),C(61),REACT(61),NI,PLSP(5),KOZ(5)                     A  68
      COMMON /SUNLIT/ Z(10),RTCON(10),                                  A  69
     1LAM1,INC,SLA,SLO,TZ,IY,IM,ID,ISTRT,ISTOP,IINC,IEND,SPECIE,MAXZ,ITIA  70
     2ME(24),XZ(24),KKK(24),JSTRT,JSTOP,PSPEC,MNLM,MXLM,MAXL,MAXJ       A  71
      COMMON /PHOTON/ CF(72,20),P(24,20),IPH(20),IP,RFCT(20),PP(10,20), A  72
     1IDEPO,RDEPO(26,10),LOCDEP(10),ISPDP(10),RDCOEF(125,10),IDPTIM,DPENA  73
     2D,RDEP1(26,10),DNOWS,SPRSE(300)                                   A  74
      COMMON /ZENITH/ IPZ,ZDEF(10,20),IPHZ(20),IZENP                    A  75
      COMMON /EMIS/ NEM,ISP,ESTRT(5),ESTOP,ESLP,EMSP(5),IEMLS(5),EOSLP(5A  76
     1),EMO(26,5),ECI(5),EM(26),EC(125),ECO(125,5)                      A  77
      COMMON /MIX/ NMIX,AMIX(26),STRM,STOPM,DC(104)                     A  78
      COMMON /MIXING/ DSTRT,DEND,AMC(5),BMC(5),CMC(5),FD(6),FG(6),      A  79
     1 AMXX(26),DL,TTMAX,SSRISE,SRMIN,DELH,TDIL,NMXX,HEIGHT,SSET,SRISE  A  80
      COMMON /TEMPER/ TEMEND,NTEMP,QM(30)                               A  81
      COMMON /FRPLOT/ SAVCON(80,5),SAVTIM(80),NTSV,INOW                 A  82
      COMMON /INOUT/ IN,IOUT,ITAPE,IALN,IALL,INHH,IOZC                  A  83
      COMMON /TITL/ ITTL(36)                                            A  84
      COMMON /NEED/ HC,XN,NL,OZP(20),OZN(11,11,5),MR,LS,HCS,XNS         A  85
      COMMON /HEAT/ SC(200,12),ISC(200,3)                               A  86
      COMMON /NEED1/ IBLANK,MBLANK,IIHC,IINX,IICO,IINO2,IINO,IIO3,      A  87
     1IIH2O,IBZA,JPLUS                                                  A  88
      COMMON /STORE/ AST(60)                                            A  89
      COMMON /HOUR/ OZM(5),NGO,TTM,TM(5)                                A  90
      COMMON /PLTVEC/ HCT(20),OT(20),NT,OHC,HCG,PLTGRD,OXN,XNG,HC1,XN1,TA  91
     1ICZ,DIGZ,CHRZ,IPLDEV                                              A  92
      COMMON /ALOFT/ IALFT,CALFT(10),LOCALF(10),ISPAL(10)               A  93
      COMMON /VVLB1/ FCTR,DIST,CHRSIZ,NNCHR,OZBL                        A  94
      COMMON /BK1/ FBK(20),FBKAL(5),HCBK,XNBK,OZBK,H2OBK                A  95
      COMMON /CRED/ ICR,ISPCR,ISPNCR(3),SPCR69(3),SURFCR(3),ALOFCR(3),  A  96
     1REDCR(3),FSRFCR(3),FALFCR(3),COSFBK,COAFBK                        A  97
      COMMON /BIOG/ NBEM,IBSP,IBEMSP(5),WTMOL(5),ACB4(5),SURFBI(5),     A  97A
     1ALOFBI(5),REDBI(5),FSRFBI(5),FALFBI(5),BEMO(26,5),BECO(126,5),    A  97B
     2IISOP,CBTOT(5),IBLS(5),BESTOP,BFRAC(20,5)                         A  97C
      DIMENSION F(21), X(7), IPLACE(6)                                  A  98
      DIMENSION NRTC(200), XRTC(200),OZAR(4)                            A  99
      INTEGER SPECIS,HCSPEC,PLSP,PSPEC,EMSP,JTTL(36),ITT1(36)           A 100
.
.
.
      DATA HCCON/595./,XNXCON/1890./,F(21)/0.0/,ITEST/'ZO'/             A 104

to:

      COMMON /ALOFT/  IALFT,CALFT(10),LOCALF(10)                        A  58
      COMMON /BIOG/   NBEM,IBSP,          WTMOL(5),ACB4(5),SURFBI(5),   A  59
     1                ALOFBI(5),REDBI(5),FSRFBI(5),FALFBI(5),BEMO(26,5),A  60
     2                BECO(126,5),CBTOT(5),IBLS(5),BESTOP,BFRAC(20,5)   A  61
      COMMON /BK1/    FBK(20),FBKAL(5),HCBK,XNBK,OZBK,H2OBK             A  62
      COMMON /CALC/ NR,KR(200,12),A(200),S(200),R(200),ITYPE(200),IA(60)A  63
     1             ,JA(800),DILUT,TEMP,ERR,START,STOPP,TPRNT,TSTEP,ZENI A  64
      COMMON /CNTRL/  SIG,SIGMA,INFO,NPTO,TSRT,DTIM,Z1,Z2,DCON,EHC,EXN, A  65
     1                FLST,TLST                                         A  66
      COMMON /CRED/   ICR,ISPCR,SPCR69(3),SURFCR(3),ALOFCR(3),          A  67
     1                REDCR(3),FSRFCR(3),FALFCR(3),COSFBK,COAFBK        A  68
      COMMON /EMIS/   NEM,ISP,ESTRT(5),ESTOP,ESLP,IEMLS(5),EOSLP(5),    A  69
     1                EMO(26,5),ECI(5),EM(26),EC(125),ECO(125,5)        A  70
      COMMON /FRPLOT/ SAVCON(80,5),SAVTIM(80),NTSV,INOW                 A  71
      COMMON /HEAT/   SC(200,12),ISC(200,3)                             A  72
      COMMON /HOUR/   OZM(5),NGO,TTM,TM(5)                              A  73
      COMMON /INOUT/  IN,IOUT,ITAPE,IALN,IALL,INHH,IOZC                 A  74
      COMMON /MIX/    NMIX,AMIX(26),STRM,STOPM,DC(104)                  A  75
      COMMON /MIXING/ DSTRT,DEND,AMC(5),BMC(5),CMC(5),FD(6),FG(6),      A  76
     1                AMXX(26),DL,TTMAX,SSRISE,SRMIN,DELH,TDIL,NMXX,    A  77
     2                HEIGHT,SSET,SRISE                                 A  78
      COMMON /NEED/   HC,XN,NL,OZP(20),OZN(11,11,5),MR,LS,HCS,XNS       A  79
      COMMON /NEED1/  IBLANK,MBLANK,IIHC,IINX,IICO,IINO2,IINO,IIO3,     A  80
     1                IIH2O,JPLUS                                       A  81
      COMMON /OPTS/   ISPD,ICAL,IACR,IDIL,IPLC,IEMS,IRDY,IBLK,IBCK,IPLT,A  82
     1                ITRN,ITIT,IRCT,IRAT,ITIM,IMCH,INIT,ISTR,IMIX,ISPC,A  83
     2                ITMP,IALF,IDEP,IZNI,IMAS,IMOL,ICRE,IBIO,IWAT      A  84
      COMMON /PHOTON/ CF(72,20),P(24,20),IPH(20),IP,RFCT(20),PP(10,20), A  85
     1                IDEPO,RDEPO(26,10),LOCDEP(10),RDCOEF(125,10),     A  86
     2                IDPTIM,DPEND,RDEP1(26,10),DNOWS,SPRSE(300)        A  87
      COMMON /PLTVEC/ HCT(20),OT(20),NT,OHC,HCG,PLTGRD,OXN,XNG,HC1,XN1, A  88
     1                TICZ,DIGZ,CHRZ,IPLDEV                             A  89
      COMMON /SCRAT3/ WY(20)                                            A  89A
      COMMON /SCRATC/ ISPN                                              A  90
      COMMON /SPEC/   NS,CARB(20),RCTY(20),XNF(2),IH(20),INOX(2),       A  91
     1                FINHC(20),FALHC(20),NHC,OZIN,OZAL,HCIN,HCAL,XNIN, A  92
     2                XNAL,NOZ,FENX(2),C(61),NI,KOZ(5)                  A  93
      COMMON /STORE/  AST(60)                                           A  94
      COMMON /SUNLIT/ Z(10),RTCON(10),LAM1,INC,SLA,SLO,TZ,IY,IM,ID,     A  95
     1                ISTRT,ISTOP,IINC,IEND,SPECIE,MAXZ,ITIME(24),      A  96
     2                XZ(24),KKK(24),JSTRT,JSTOP,PSPEC,MNLM,MXLM,MAXL,  A  97
     3                MAXJ                                              A  97A
      COMMON /TEMPER/ TEMEND,NTEMP,QM(30)                               A  97B
      COMMON /TITL/   ITTL(36)                                          A  97C
      COMMON /VVLB1/  FCTR,DIST,CHRSIZ,NNCHR,OZBL                       A  97D
      COMMON /WATER/  WATEND,NWATER,PAMB,QW(30),QR(30),PMILLI,ILH2O     A  97D
      COMMON /ZENITH/ IPZ,ZDEF(10,20),IPHZ(20),IZENP                    A  97E
C                                                                       A  97F
      COMMON /ALFCHR/ ISPAL(10)                                         A  97G
      COMMON /BIOCHR/ IISOP, IBEMSP(5)                                  A  97H
      COMMON /CALCHR/ SPECIS(61)                                        A  97I
      COMMON /CRECHR/ ISPNCR(3)                                         A  97J
      COMMON /EMSCHR/ EMSP(5)                                           A  97K
      COMMON /NEED1C/ IBZA                                              A  97L
      COMMON /PHTCHR/ ISPDP(10)                                         A  97M
      COMMON /SPECHR/ HCSPEC(20), PLSP(5), REACT(61)                    A  97N
C                                                                       A  97O
      CHARACTER*1 AST                                                   A  97P
      CHARACTER*2 ITTL, JTTL, ITEST                                     A  97Q
      CHARACTER*4 ISPAL, ISPDP, ISPNCR, IBEMSP                          A  97R
      CHARACTER*4 IPLACE, IOPT                                          A  97S
      CHARACTER*4 SPECIS, HCSPEC, PLSP, IISOP, ISPN, EMSP, REACT        A  97T
      CHARACTER*4  ISPD,ICAL,IACR,IDIL,IPLC,IEMS,IRDY,IBLK,IBCK,        A  97U
     1   IPLT,ITRN,ITIT,IRCT,IRAT,ITIM,IMCH,INIT,ISTR,IMIX,ISPC,ITMP,   A  97X
     2   IALF,IDEP,IZNI,IMAS,IMOL,ICRE,IBIO,IWAT,                       A  97Y
     3   IBLANK,MBLANK,IIHC,IINX,IICO,IINO2,IINO,IIO3,                  A  97Z
     4   IIH2O,IBZA,JPLUS                                               A  98A
C                                                                       A  98B
                                                                        A  98C
      DIMENSION X(7), IPLACE(6), JTTL(36)                               A  98D
C     DIMENSION ITT1(20)                                                A  98E
      DIMENSION NRTC(200), XRTC(200),OZAR(4)                            A  99
C                                                                       A  99A
      INTEGER   PSPEC                                                   A 100
.
.
.
      DATA HCCON/595./,XNXCON/1890./,ITEST/'ZO'/                        A 104
 
5.  Different computers use different methods for opening files. A subroutine
    called OPENA was added for opening input/output files. Not all computer
    systems use this subroutine and so several lines in OPENA may have to be
    commented out prior to running this new model. Not all compilers used for
    the testing of this SCRAM version of EKMA could handle format statements
    with 10 continuation lines. Therefore, additional WRITE statements had to
    be added in addition to the CALL OPENA statement. The code was changed
    from: 
 
      WRITE (IOUT,830)                                                  A 111

to:

      CALL OPENA                                                        A 110A
      WRITE (IOUT,830)                                                  A 111
      WRITE (IOUT,831)                                                  A 111A
      WRITE (IOUT,832)                                                  A 111B

 
 
6.  The following lines were written to handle input/output from tape and were
    commented out in this version of EKMA: 
 
      WRITE (IOUT,980)                                                  A 125
      DO 30 I=1,1000                                                    A 126
      READ (IN,850) ITT1                                                A 127
      DO 10 IJ=1,20                                                     A 128
      IF (ITT1(IJ).NE.IBLK) GO TO 20                                    A 129
   10 CONTINUE                                                          A 130
      GO TO 40                                                          A 131
   20 IF(MOD(I,50).EQ.0) WRITE (IOUT,980)                               A 132
      WRITE (IOUT,860) ITT1                                             A 133
   30 CONTINUE                                                          A 134
   40 CONTINUE                                                          A 135
      REWIND IN                                                         A 136

and appear in the new code as:

C     WRITE (IOUT,980)                                                  A 125
C     DO 30 I=1,1000                                                    A 126
C     READ (IN,850) ITT1                                                A 127
C     DO 10 IJ=1,20                                                     A 128
C     IF (ITT1(IJ).NE.IBLK) GO TO 20                                    A 129
C  10 CONTINUE                                                          A 130
C     GO TO 40                                                          A 131
C  20 IF(MOD(I,50).EQ.0) WRITE (IOUT,980)                               A 132
C     WRITE (IOUT,860) ITT1                                             A 133
C  30 CONTINUE                                                          A 134
C  40 CONTINUE                                                          A 135
C     REWIND IN                                                         A 136
 
 
7.  Several arguments were passed in several of the call statements but were
    never used in this revised version of EKMA. NC and F are two such
    arguments which were deleted from the CALL RLINE statement. The following
    line was changed from: 
 
      CALL RLINE (NC,F,KS1,JS)                                          A 157
 
to: 
 
      CALL RLINE (KS1,JS)                                               A 157
 
 
and the CALL LINER statement was changed from: 
 
      CALL LINER (SIG,KALCMP,F,OZN(1,1,K))                              A 161
 
to: 
 
      CALL LINER (KALCMP,OZN(1,1,K))                                    A 161
 
8.  Several algorithms were added to EKMA. In one such case, the following
    code was changed from: 
 
  150 IF (IOPT.NE.ITMP) GO TO 170                                       A 266
 
to: 
 
  150 IF (IOPT.NE.ITMP) GO TO 161                                       A 266
 
in order to add the following algorithm: 
 
C                                                                       A 275A
C  READ HOURLY RELATIVE HUMIDITIES AND CALCULATE WATER CONCENTRATIONS   A 275B
C                                                                       A 275C
  161 IF (IOPT.NE.IWAT) GO TO 170                                       A 275D
      NWATER=IFIX(X(1)+0.1)+1                                           A 275E
      PAMB=1.0                                                          A 275F
      IF (ABS(X(2)).NE.0.) PMILLI=X(2)                                  A 275G
      IF (ABS(X(2)).NE.0.) PAMB=PMILLI/29.9213                          A 275H
      READ (IN,880) (QR(I),I=1,NWATER)                                  A 275I
      WATEND=FLOAT(NWATER-1)*60.                                        A 275J
      TFACT=1./273.                                                     A 275K
      TNOW=TEMP                                                         A 275L
      DO 165 I=1,NWATER                                                 A 276M
      RH1=QR(I)                                                         A 275N
      IF (NTEMP.GT.0.AND.I.LE.NTEMP) TNOW=QM(I)                         A 275O
      IF (NTEMP.GT.0.AND.I.GT.NTEMP) TNOW=QM(NTEMP)                     A 275P
      IF (TNOW.GE.273.) RCONST=18.02*(597.3-.566*(TNOW-273.))/1.9869    A 275Q
      IF (TNOW.LT.273.) RCONST=6133.17                                  A 275R
      IF (QR(I).GT.100.) RH1=100.                                       A 275S
      IF (QR(I).LT.0.) RH1=0.                                           A 275T
      QW(I)=(6030.*.01*RH1/PAMB)*EXP(RCONST*(TFACT-1./TNOW))            A 275U
  165 CONTINUE                                                          A 275V
      QW(NWATER+1)=2.*QW(NWATER)-QW(NWATER-1)                           A 275W
      QW(NWATER+2)=3.*QW(NWATER)-2.*QW(NWATER-1)                        A 275X
      GO TO 820                                                         A 275Y
 
and these lines were also added at two separate places in the code: 
 
      ILH2O=-1                                                          A 577A
      IF (SPECIS(J).EQ.IIH2O ) ILH2O=J                                  A 587A
 
9.  As mentioned above, the FORMAT statement with 10 continuation lines was 
    restructured from: 
 
  830 FORMAT (1H1 ///////////////////                                   A  696
     149X,39H*************************************** /                  A  697
     249X,39H*                                     * /                  A  698
     349X,39H*   OZONE ISOPLETH PLOTTING PACKAGE   * /                  A  699
     449X,39H*      WITH OPTIONAL MECHANISMS       * /                  A  700
     549X,39H*                                     * /                  A  701
     649X,39H*            O Z I P M - 4            * /                  A  702
     949X,39H*                                     * /                  A  703
     349X,39H*            JANUARY, 1989            * /                  A  706
     449X,39H*                                     * /                  A  707
     549X,39H***************************************)                   A  708
 
to: 
 
C                                                                       A  696
  830 FORMAT ('1' /////////)                                            A  697
  831 FORMAT (1X //////////)                                            A  698
  832 FORMAT (49X,39H*************************************** /          A  699
     249X,39H*                                     * /                  A  700
     349X,39H*   OZONE ISOPLETH PLOTTING PACKAGE   * /                  A  701
     449X,39H*      WITH OPTIONAL MECHANISMS       * /                  A  702
     549X,39H*                                     * /                  A  703
     649X,39H*        O Z I P M - 4 (EKMA)         * /                  A  704
     749X,39H*                                     * /                  A  705
     849X,39H*            EKMA(90005)              * /                  A  706
     149X,39H*                                     * /                  A  707
     249X,39H***************************************  )                 A  708
 
so all compilers tested with this code could compile these lines. 
 
 
10.  Again, the common statements were changed from: 
 
      COMMON /CALC/ NR,KR(200,12),A(200),S(200),R(200),ITYPE(200),      B   3
     1IA(60),JA(800),DILUT,TEMP,ERR,START,STOPP,SPECIS(61),TPRNT,TSTEP, B   4
     2ZENI                                                              B   5
      COMMON /CNTRL/ SIG,SIGMA,INFO,NPTO,TSRT,DTIM,Z1,Z2,DCON,EHC,EXN,FLB   6
     1ST,TLST                                                           B   7
      COMMON /HEAT/ SC(200,12),ISC(200,3)                               B   8
      COMMON /SPEC/ NS,HCSPEC(20),CARB(20),RCTY(20),XNF(2),IH(20),      B   9
     1INOX(2),FINHC(20),FALHC(20),NHC,OZIN,OZAL,HCIN,HCAL,XNIN,XNAL,    B  10
     2NOZ,FENX(2),C(61),REACT(61),NI,PLSP(5),KOZ(5)                     B  11
      COMMON/OPTS/ ISPD,ICAL,IACR,IDIL,IPLC,IEMS,IRDY,IBLK,IBCK,        B  12
     1IPLT,ITRN,ITIT,IRCT,IRAT,ITIM,IMCH,INIT,ISTR,IMIX,ISPC,ITMP       B  13
     2,IALF,IDEP,IZNI,IMAS,IMOL,ICRE,IBIO                               B  14
      COMMON /EMIS/ NEM,ISP,ESTRT(5),ESTOP,ESLP,EMSP(5),IEMLS(5),EOSLP(5B  15
     1),EMO(26,5),ECI(5),EM(26),EC(125),ECO(125,5)                      B  16
      COMMON /MIX/ NMIX,AMIX(26),STRM,STOPM,DC(104)                     B  17
      COMMON /MIXING/ DSTRT,DEND,AMC(5),BMC(5),CMC(5),FD(6),FG(6),      B  18
     1 AMXX(26),DL,TTMAX,SRISE,SRMIN,DELH,TDIL,NMXX,HEIGHT,SSET,SSRISE  B  19
      COMMON /TEMPER/ TEMEND,NTEMP,QM(30)                               B  20
      COMMON /INOUT/ IN,IOUT,ITAPE,IALN,IALL,INHH,IOZC                  B  21
      COMMON /TITL/ ITTL(36)                                            B  22
      COMMON /NEED/ HC,XN,NL,OZP(20),OZN(11,11,5),MR,LS,HCS,XNS         B  23
      COMMON /NEED1/ IBLANK,MBLANK,IIHC,IINX,IICO,IINO2,IINO,IIO3,      B  24
     1IIH2O,IBZA,JPLUS                                                  B  25
      COMMON /HOUR/ OZM(5),NGO,TTM,TM(5)                                B  26
      COMMON /PLTVEC/ HCT(20),OT(20),NT,OHC,HCG,PLTGRD,OXN,XNG,HC1,XN1,TB  27
     1ICZ,DIGZ,CHRZ,IPLDEV                                              B  28
      COMMON /VVLB1/ FCTR,DIST,CHRSIZ,NNCHR,OZBL                        B  29
      COMMON /BK1/ FBK(20),FBKAL(5),HCBK,XNBK,OZBK,H2OBK                B  30
      COMMON /SUNLIT/ Z(10),RTCON(10),                                  B  31
     1LAM1,INC,SLA,SLO,TZ,IY,IM,ID,ISTRT,ISTOP,IINC,IEND,SPECIE,MAXZ,ITIB  32
     2ME(24),XZ(24),K(24),JSTRT,JSTOP,PSPEC,MNLM,MXLM,MAXL,MAXJ         B  33
      COMMON /ZENITH/ IPZ,ZDEF(10,20),IPHZ(20),IZENP                    B  34
      COMMON /PHOTON/ CF(72,20),P(24,20),IPH(20),IP,RFCT(20),PP(10,20), B  35
     1IDEPO,RDEPO(26,10),LOCDEP(10),ISPDP(10),RDCOEF(125,10),IDPTIM,DPENB  36
     2D,RDEP1(26,10),DNOWS,SPRSE(300)                                   B  37
      COMMON /ALOFT/ IALFT,CALFT(10),LOCALF(10),ISPAL(10)               B  38
      COMMON /GEAR1/ TTDUM(5),UROUND,NNDUM(4)                           B  39
      COMMON /PLTND/ JBAR,JSYMB,CVERT(9),TVERT(52,2)                    B  40
      COMMON /EXPVAL/ EXPMAX                                            B  41
      COMMON /CRED/ ICR,ISPCR,ISPNCR(3),SPCR69(3),SURFCR(3),ALOFCR(3),  B  42
     1REDCR(3),FSRFCR(3),FALFCR(3),COSFBK,COAFBK                        B  43
      COMMON /BIOG/ NBEM,IBSP,IBEMSP(5),WTMOL(5),ACB4(5),SURFBI(5),     B  43A
     1ALOFBI(5),REDBI(5),FSRFBI(5),FALFBI(5),BEMO(26,5),BECO(126,5),    B  43B
     2IISOP,CBTOT(5),IBLS(5),BESTOP,BFRAC(20,5)                         B  43C
      INTEGER SPECIS,HCSPEC,PLSP,PSPEC,EMSP                             B  44
                                                                        B  45
to: 
 
      COMMON /CALC/   NR,KR(200,12),A(200),S(200),R(200),ITYPE(200),    B   3
     1                IA(60),JA(800),DILUT,TEMP,ERR,START,STOPP,TPRNT,  B   4
     2                TSTEP,ZENI                                        B   5
      COMMON /CNTRL/  SIG,SIGMA,INFO,NPTO,TSRT,DTIM,Z1,Z2,DCON,EHC,EXN, B   6
     1                FLST,TLST                                         B   7
      COMMON /HEAT/   SC(200,12),ISC(200,3)                             B   8
      COMMON /SPEC/   NS,CARB(20),RCTY(20),XNF(2),IH(20),INOX(2),       B   9
     1                FINHC(20),FALHC(20),NHC,OZIN,OZAL,HCIN,HCAL,XNIN, B  10
     2                XNAL,NOZ,FENX(2),C(61),NI,KOZ(5)                  B  11
      COMMON /OPTS/   ISPD,ICAL,IACR,IDIL,IPLC,IEMS,IRDY,IBLK,IBCK,IPLT,B  12
     1                ITRN,ITIT,IRCT,IRAT,ITIM,IMCH,INIT,ISTR,IMIX,ISPC,B  13
     2                ITMP,IALF,IDEP,IZNI,IMAS,IMOL,ICRE,IBIO,IWAT      B  14
      COMMON /EMIS/   NEM,ISP,ESTRT(5),ESTOP,ESLP,IEMLS(5),EOSLP(5),    B  15
     1                EMO(26,5),ECI(5),EM(26),EC(125),ECO(125,5)        B  16
      COMMON /MIX/    NMIX,AMIX(26),STRM,STOPM,DC(104)                  B  17
      COMMON /MIXING/ DSTRT,DEND,AMC(5),BMC(5),CMC(5),FD(6),FG(6),      B  18
     1                AMXX(26),DL,TTMAX,SRISE,SRMIN,DELH,TDIL,NMXX,     B  18A
     2                HEIGHT,SSET,SSRISE                                B  19
      COMMON /TEMPER/ TEMEND,NTEMP,QM(30)                               B  20
      COMMON /INOUT/  IN,IOUT,ITAPE,IALN,IALL,INHH,IOZC                 B  21
      COMMON /TITL/   ITTL(36)                                          B  22
      COMMON /NEED/   HC,XN,NL,OZP(20),OZN(11,11,5),MR,LS,HCS,XNS       B  23
      COMMON /NEED1/  IBLANK,MBLANK,IIHC,IINX,IICO,IINO2,IINO,IIO3,     B  24
     1                IIH2O,JPLUS                                       B  25
      COMMON /HOUR/   OZM(5),NGO,TTM,TM(5)                              B  26
      COMMON /PLTVEC/ HCT(20),OT(20),NT,OHC,HCG,PLTGRD,OXN,XNG,HC1,XN1, B  27
     1                TICZ,DIGZ,CHRZ,IPLDEV                             B  28
      COMMON /VVLB1/  FCTR,DIST,CHRSIZ,NNCHR,OZBL                       B  29
      COMMON /BK1/    FBK(20),FBKAL(5),HCBK,XNBK,OZBK,H2OBK             B  30
      COMMON /SUNLIT/ Z(10),RTCON(10),LAM1,INC,SLA,SLO,TZ,IY,IM,ID,     B  31
     1                ISTRT,ISTOP,IINC,IEND,SPECIE,MAXZ,ITIME(24),      B  32
     2                XZ(24),K(24),JSTRT,JSTOP,PSPEC,MNLM,MXLM,MAXL,MAXJB  33
      COMMON /ZENITH/ IPZ,ZDEF(10,20),IPHZ(20),IZENP                    B  34
      COMMON /PHOTON/ CF(72,20),P(24,20),IPH(20),IP,RFCT(20),PP(10,20), B  35
     1                IDEPO,RDEPO(26,10),LOCDEP(10),RDCOEF(125,10),     B  36
     2                IDPTIM,DPEND,RDEP1(26,10),DNOWS,SPRSE(300)        B  37
      COMMON /ALOFT/  IALFT,CALFT(10),LOCALF(10)                        B  38
      COMMON /GEAR1/  TTDUM(5),UROUND,NNDUM(4)                          B  39
      COMMON /PLTND/  JBAR,JSYMB,CVERT(9),TVERT(52,2)                   B  40
      COMMON /EXPVAL/ EXPMAX                                            B  41
      COMMON /CRED/   ICR,ISPCR,SPCR69(3),SURFCR(3),ALOFCR(3),          B  42
     1                REDCR(3),FSRFCR(3),FALFCR(3),COSFBK,COAFBK        B  43
      COMMON /BIOG/   NBEM,IBSP,WTMOL(5),ACB4(5),SURFBI(5),ALOFBI(5),   B  43A
     1                REDBI(5),FSRFBI(5),FALFBI(5),BEMO(26,5),          B  43B
     2                BECO(126,5),CBTOT(5),IBLS(5),BESTOP,BFRAC(20,5)   B  43C
      COMMON /WATER/  WATEND,NWATER,PAMB,QW(30),QR(30),PMILLI,ILH2O     B  43D
                                                                        B  43E
      INTEGER PSPEC                                                     B  44
C                                                                       B  44A
      COMMON /ALFCHR/ ISPAL(10)                                         B  44B
      COMMON /BIOCHR/ IISOP, IBEMSP(5)                                  B  44C
      COMMON /CALCHR/ SPECIS(61)                                        B  44D
      COMMON /CRECHR/ ISPNCR(3)                                         B  44E
      COMMON /EMSCHR/ EMSP(5)                                           B  44F
      COMMON /NEED1C/ IBZA                                              B  44G
      COMMON /PHTCHR/ ISPDP(10)                                         B  44H
      COMMON /SPECHR/ HCSPEC(20), PLSP(5), REACT(61)                    B  44I
C                                                                       B  44J
      CHARACTER*1 JBAR, JSYMB                                           B  44K
      CHARACTER*2 ITTL                                                  B  44L
      CHARACTER*4 ISPAL, ISPDP, ISPNCR, IBEMSP                          B  44M
      CHARACTER*4 TVERT, CVERT                                          B  44N
      CHARACTER*4 SPECIS, HCSPEC, PLSP, IISOP, EMSP, REACT              B  44O
      CHARACTER*4  ISPD,ICAL,IACR,IDIL,IPLC,IEMS,IRDY,IBLK,IBCK,IPLT,   B  44P
     1             ITRN,ITIT,IRCT,IRAT,ITIM,IMCH,INIT,ISTR,IMIX,ISPC,   B  44Q
     2             ITMP,IALF,IDEP,IZNI,IMAS,IMOL,ICRE,IBIO,IWAT,        B  44R
     3             IBLANK,MBLANK,IIHC,IINX,IICO,IINO2,IINO,IIO3,        B  44S
     4             IIH2O,IBZA,JPLUS                                     B  44T
                                                                        B  45
to separate character variables form integer and real variables and to
facilitate debugging.


11.  Date for the variable, WATEND, was added changing:

      DATA TEMEND/0./                                                   B  56

to:

      DATA TEMEND/0./,WATEND/0./                                        B  56


and a flag was added changing the following line from:

     9     JPLUS/'+   '/,IBIO/'BIOG'/,IISOP/'ISOP'/                     B  66

to:

     9     JPLUS/'+   '/,IBIO/'BIOG'/,IWAT/'WATE'/,IISOP/'ISOP'/        B  66


12.  The input/output units were also changed from:

      DATA IN/5/,IOUT/6/,IALN/9/,IALL/8/,IOZC/11/                       B  76

to:

      DATA IN/7/,IOUT/10/,IALN/9/,IALL/8/,IOZC/11/                      B  76


13.  The following line was added due to the above algorithm:

      DATA NTEMP/-1/,NWATER/-1/,QW(1)/-3./,PAMB/1.0/,ILH2O/7/           B 114A

 
 
14. The following common statements were changed to separate the characters 
    variables from the integer and real variables and to facilitate debugging:

 
      COMMON /CALC/ NR,KR(200,12),A(200),S(200),R(200),ITYPE(200),IA(60)C   7
     1,JA(800),DILUT,TEMP,ERR,START,STOPP,SPECIS(61),TPRNT,TSTEP,ZENI   C   8
      COMMON /CNTRL/ SIG,SIGMA,INFO,NPTO,TSRT,DTIM,Z1,Z2,DCON,EHC,EXN,FLC   9
     1ST,TLST                                                           C  10
      COMMON /SPEC/ NS,HCSPEC(20),CARB(20),RCTY(20),XNF(2),IH(20),      C  11
     1INOX(2),FINHC(20),FALHC(20),NHC,OZIN,OZAL,HCIN,HCAL,XNIN,XNAL,    C  12
     2NOZ,FENX(2),C(61),REACT(61),NI,PLSP(5),KOZ(5)                     C  13
      COMMON /SUNLIT/ Z(10),RTCON(10),                                  C  14
     1LAM1,INC,SLA,SLO,TZ,IY,IM,ID,ISTRT,ISTOP,IINC,IEND,SPECIE,MAXZ,ITIC  15
     2ME(24),XZ(24),KKK(24),JSTRT,JSTOP,PSPEC,MNLM,MXLM,MAXL,MAXJ       C  16
      COMMON /PHOTON/ CF(72,20),P(24,20),IPH(20),IP,RFCT(20),PP(10,20), C  17
     1IDEPO,RDEPO(26,10),LOCDEP(10),ISPDP(10),RDCOEF(125,10),IDPTIM,DPENC  18
     2D,RDEP1(26,10),DNOWS,SPRSE(300)                                   C  19
      COMMON /ZENITH/ IPZ,ZDEF(10,20),IPHZ(20),IZENP                    C  20
      COMMON /EMIS/ NEM,ISP,ESTRT(5),ESTOP,ESLP,EMSP(5),IEMLS(5),EOSLP(5C  21
     1),EMO(26,5),ECI(5),EM(26),EC(125),ECO(125,5)                      C  22
      COMMON /MIX/ NMIX,AMIX(26),STRM,STOPM,DC(104)                     C  23
      COMMON /MIXING/ DSTRT,DEND,AMC(5),BMC(5),CMC(5),FD(6),FG(6),      C  24
     1 AMXX(26),DL,TTMAX,SSRISE,SRMIN,DELH,TDIL,NMXX,HEIGHT,SSET,SRISE  C  25
      COMMON /TEMPER/ TEMEND,NTEMP,QM(30)                               C  26
      COMMON /FRPLOT/ SAVCON(80,5),SAVTIM(80),NTSV,INOW                 C  27
      COMMON /INOUT/ IN,IOUT,ITAPE,IALN,IALL,INHH,IOZC                  C  28
      COMMON /TITL/ ITTL(36)                                            C  29
      COMMON /NEED/ HC,XN,NL,OZP(20),OZN(11,11,5),MR,LS,HCS,XNS         C  30
      COMMON /HEAT/ SC(200,12),ISC(200,3)                               C  31
      COMMON /NEED1/ IBLANK,MBLANK,IIHC,IINX,IICO,IINO2,IINO,IIO3,      C  32
     1IIH2O,IBZA,JPLUS                                                  C  33
      COMMON /STORE/ AST(60)                                            C  34
      COMMON /HOUR/ OZM(5),NGO,TTM,TM(5)                                C  35
      COMMON /PLTVEC/ HCT(20),OT(20),NT,OHC,HCG,PLTGRD,OXN,XNG,HC1,XN1,TC  36
     1ICZ,DIGZ,CHRZ,IPLDEV                                              C  37
      COMMON /ALOFT/ IALFT,CALFT(10),LOCALF(10),ISPAL(10)               C  38
      COMMON /VVLB1/ FCTR,DIST,CHRSIZ,NNCHR,OZBL                        C  39
      COMMON /BK1/ FBK(20),FBKAL(5),HCBK,XNBK,OZBK,H2OBK                C  40
      COMMON /CRED/ ICR,ISPCR,ISPNCR(3),SPCR69(3),SURFCR(3),ALOFCR(3),  C  41
     1REDCR(3),FSRFCR(3),FALFCR(3),COSFBK,COAFBK                        C  42
      COMMON /BIOG/ NBEM,IBSP,IBEMSP(5),WTMOL(5),ACB4(5),SURFBI(5),     C  42A
     1ALOFBI(5),REDBI(5),FSRFBI(5),FALFBI(5),BEMO(26,5),BECO(126,5),    C  42B
     2IISOP,CBTOT(5),IBLS(5),BESTOP,BFRAC(20,5)                         C  42C
      DIMENSION  ITMIX(26), IZC(10),XRTC(100),IPLACE(6)                 C  43
      INTEGER SPECIS,HCSPEC,PLSP,PSPEC,EMSP                             C  44
C                                                                       C  45
      DATA IZC/0,10,20,30,40,50,60,70,78,86/,IFRST/1/                   C  46

to:

      COMMON /CALC/   NR,KR(200,12),A(200),S(200),R(200),ITYPE(200),    C   7
     1                IA(60),JA(800),DILUT,TEMP,ERR,START,STOPP,TPRNT,  C   8
     2                TSTEP,ZENI                                        C   8A
      COMMON /CNTRL/  SIG,SIGMA,INFO,NPTO,TSRT,DTIM,Z1,Z2,DCON,EHC,EXN, C   9
     1                FLST,TLST                                         C  10
      COMMON /SPEC/   NS,CARB(20),RCTY(20),XNF(2),IH(20),INOX(2),       C  11
     1                FINHC(20),FALHC(20),NHC,OZIN,OZAL,HCIN,HCAL,XNIN, C  12
     2                XNAL,NOZ,FENX(2),C(61),NI,KOZ(5)                  C  13
      COMMON /SUNLIT/ Z(10),RTCON(10),LAM1,INC,SLA,SLO,TZ,IY,IM,ID,     C  14
     1                ISTRT,ISTOP,IINC,IEND,SPECIE,MAXZ,ITIME(24),      C  15
     2                XZ(24),KKK(24),JSTRT,JSTOP,PSPEC,MNLM,MXLM,MAXL,  C  15A
     3                MAXJ                                              C  16
      COMMON /PHOTON/ CF(72,20),P(24,20),IPH(20),IP,RFCT(20),PP(10,20), C  17
     1                IDEPO,RDEPO(26,10),LOCDEP(10),RDCOEF(125,10),     C  18
     2                IDPTIM,DPEND,RDEP1(26,10),DNOWS,SPRSE(300)        C  19
      COMMON /ZENITH/ IPZ,ZDEF(10,20),IPHZ(20),IZENP                    C  20
      COMMON /EMIS/   NEM,ISP,ESTRT(5),ESTOP,ESLP,IEMLS(5),EOSLP(5),    C  21
     1                EMO(26,5),ECI(5),EM(26),EC(125),ECO(125,5)        C  22
      COMMON /MIX/    NMIX,AMIX(26),STRM,STOPM,DC(104)                  C  23
      COMMON /MIXING/ DSTRT,DEND,AMC(5),BMC(5),CMC(5),FD(6),FG(6),      C  24
     1                AMXX(26),DL,TTMAX,SSRISE,SRMIN,DELH,TDIL,NMXX,    C  24A
     2                HEIGHT,SSET,SRISE                                 C  25
      COMMON /TEMPER/ TEMEND,NTEMP,QM(30)                               C  26
      COMMON /FRPLOT/ SAVCON(80,5),SAVTIM(80),NTSV,INOW                 C  27
      COMMON /INOUT/  IN,IOUT,ITAPE,IALN,IALL,INHH,IOZC                 C  28
      COMMON /TITL/   ITTL(36)                                          C  29
      COMMON /NEED/   HC,XN,NL,OZP(20),OZN(11,11,5),MR,LS,HCS,XNS       C  30
      COMMON /HEAT/   SC(200,12),ISC(200,3)                             C  31
      COMMON /NEED1/  IBLANK,MBLANK,IIHC,IINX,IICO,IINO2,IINO,IIO3,     C  32
     1                IIH2O,JPLUS                                       C  33
      COMMON /STORE/  AST(60)                                           C  34
      COMMON /HOUR/   OZM(5),NGO,TTM,TM(5)                              C  35
      COMMON /PLTVEC/ HCT(20),OT(20),NT,OHC,HCG,PLTGRD,OXN,XNG,HC1,XN1, C  36
     1                TICZ,DIGZ,CHRZ,IPLDEV                             C  37
      COMMON /ALOFT/  IALFT,CALFT(10),LOCALF(10)                        C  38
      COMMON /VVLB1/  FCTR,DIST,CHRSIZ,NNCHR,OZBL                       C  39
      COMMON /BK1/    FBK(20),FBKAL(5),HCBK,XNBK,OZBK,H2OBK             C  40
      COMMON /CRED/   ICR,ISPCR,SPCR69(3),SURFCR(3),ALOFCR(3),          C  41
     1                REDCR(3),FSRFCR(3),FALFCR(3),COSFBK,COAFBK        C  42
      COMMON /BIOG/   NBEM,IBSP,WTMOL(5),ACB4(5),SURFBI(5),ALOFBI(5),   C  42A
     1                REDBI(5),FSRFBI(5),FALFBI(5),BEMO(26,5),          C  42B
     2                BECO(126,5),CBTOT(5),IBLS(5),BESTOP,BFRAC(20,5)   C  42C
      COMMON /WATER/  WATEND,NWATER,PAMB,QW(30),QR(30),PMILLI,ILH2O     C  42D
C                                                                       C  42E
      COMMON /ALFCHR/ ISPAL(10)                                         C  42F
      COMMON /BIOCHR/ IISOP, IBEMSP(5)                                  C  42G
      COMMON /CALCHR/ SPECIS(61)                                        C  42H
      COMMON /CRECHR/ ISPNCR(3)                                         C  42I
      COMMON /EMSCHR/ EMSP(5)                                           C  42J
      COMMON /NEED1C/ IBZA                                              C  42K
      COMMON /PHTCHR/ ISPDP(10)                                         C  42L
      COMMON /SPECHR/ HCSPEC(20), PLSP(5), REACT(61)                    C  42M
C                                                                       C  42N
      CHARACTER*1 AST                                                   C  42O
      CHARACTER*2 ITTL                                                  C  42P
      CHARACTER*4 ISPAL, ISPDP, ISPNCR, IBEMSP                          C  42Q
      CHARACTER*4 IPLACE                                                C  42R
      CHARACTER*4 SPECIS, HCSPEC, PLSP, IISOP, EMSP, REACT              C  42S
      CHARACTER*4 IBLANK,MBLANK,IIHC,IINX,IICO,IINO2,IINO,IIO3,         C  42T
     1   IIH2O,IBZA,JPLUS                                               C  42U
C                                                                       C  42V
      DIMENSION  ITMIX(26), IZC(10), XRTC(100), IPLACE(6)               C  43
      INTEGER PSPEC                                                     C  44
C                                                                       C  45
      DATA IZC/0,10,20,30,40,50,60,70,78,86/,  IFRST/1/                 C  46


15.  The following line was changed from:

   60 IF (QM(1).LT.0.) GO TO 70                                         C  83

to:

   60 IF (QM(1).LT.0.) GO TO 65                                         C  83

so that these lines could be added:

   65 IF (QW(1).LT.0.) GO TO 70                                         C  86A
      NWAT1=NWATER-1                                                    C  86B
      WRITE (IOUT,470) (I,I=1,NWAT1)                                    C  86C
      WRITE (IOUT,480) (QR(I),I=1,NWATER)                               C  86D
      WRITE (IOUT,490) (I,I=1,NWAT1)                                    C  86E
      WRITE (IOUT,500) (QW(I),I=1,NWATER)                               C  86F
      WRITE (IOUT,510) PMILLI                                           C  86G
      IF (ILH2O.LE.0) WRITE (IOUT,520)                                  C  86H
 
 
16. Several commas had to be added or deleted and therefore the following
    lines were changed from: 
 
  150 FORMAT (1H0,11X,I3,8X,A4,1X,1P10E10.2)                            C  134
  160 FORMAT (1H1 // 40X,36A2)                                          C  135
  170 FORMAT (1H0 // 40X,40HPHOTOLYTIC RATE CONSTANTS CALCULATED FOR ///C  136
     1,49X,6A4 /// 40X,9HLATITUDE ,F10.3 // 40X, 9HLONGITUDE ,F10.3 // 4C  137

to:

  150 FORMAT (1H0,11X,I3,8X,A4,1X,1P,10E10.2)                           C  134
  160 FORMAT (1H1 // 40X,36A2)                                          C  135
  170 FORMAT (1H0 // 40X,40HPHOTOLYTIC RATE CONSTANTS CALCULATED FOR ///C  136
     149X,6A4 /// 40X,9HLATITUDE ,F10.3 // 40X, 9HLONGITUDE ,F10.3 //  4C  137


and from:

  391 FORMAT (1H0,//,40X,57HTHE FOLLOWING BIOGENIC SPECIES ARE TREATED AC 181A
     1S HYDROCARBONS   ,/,40X,29H(EXPRESSED AS BOND FRACTIONS)   )      C 181B

to:

  391 FORMAT (1H0//40X,  60HTHE FOLLOWING BIOGENIC SPECIES ARE TREATED AC 181A
     1S HYDROCARBONS   /40X,29H(EXPRESSED AS BOND FRACTIONS)   )        C 181B


17.  The following format statements were added:

  470 FORMAT (1H0 // 40X,49HRELATIVE HUMIDITY (AT THE BEGINNING OF EACH C 191A
     1HOUR)   // 40X,4HHOUR,9X,1H0,9I8 / 46X,10I8 / 46X,10I8)           C 191B
  480 FORMAT (1H0,39X,8HRH (%)     ,10F8.1 / 48X,10F8.1 / 48X,10F8.1)   C 191C
  490 FORMAT (1H0 // 40X,52HWATER CONCENTRATIONS (AT THE BEGINNING OF EAC 191D
     1CH HOUR)  // 40X,4HHOUR,9X,1H0,9I8 / 46X,10I8 / 46X,10I8)         C 191E
  500 FORMAT (1H0,39X,8HPPM        ,10F8.0 / 48X,10F8.0 / 48X,10F8.0)   C 191F
  510 FORMAT (1H0,39X,8HPRESSURE,5X,F6.2,13H INCHES OF HG)              C 191G
  520 FORMAT (1H0,39X,41HNOTE: WATER (H2O) IS NOT IN THE MECHANISM  /   C 191H
     1 40X,46H      THE SYMBOL "H2O" MUST BE USED FOR WATER. )          C 191I


18.  The following common statements were changed from:

      COMMON /CALC/ NR,KR(200,12),A(200),S(200),R(200),ITYPE(200),IA(60)D    6
     1,JA(800),DILUT,TEMP,ERR,START,STOPP,SPECIS(61),TPRNT,TSTEP,ZENI   D    7
      COMMON /PHOTON/ CF(72,20),P(24,20),IPH(20),IP,RFCT(20),PP(10,20), D    8
     1IDEPO,RDEPO(26,10),LOCDEP(10),ISPDP(10),RDCOEF(125,10),IDPTIM,DPEND    9
     2D,RDEP1(26,10),DNOWS,SPRSE(300)                                   D   10
      COMMON /ZENITH/ IPZ,ZDEF(10,20),IPHZ(20),IZENP                    D   11

to:

      COMMON /CALC/   NR,KR(200,12),A(200),S(200),R(200),ITYPE(200),    D   6
     1                IA(60),JA(800),DILUT,TEMP,ERR,START,STOPP,TPRNT,  D   6A
     2                TSTEP,ZENI                                        D   7
      COMMON /PHOTON/ CF(72,20),P(24,20),IPH(20),IP,RFCT(20),PP(10,20), D   8
     1                IDEPO,RDEPO(26,10),LOCDEP(10),RDCOEF(125,10),     D   9
     2                IDPTIM,DPEND,RDEP1(26,10),DNOWS,SPRSE(300)        D  10
      COMMON /ZENITH/ IPZ,ZDEF(10,20),IPHZ(20),IZENP                    D  11
C                                                                       D  11A
      COMMON /CALCHR/ SPECIS(61)                                        D  11B
      COMMON /PHTCHR/ ISPNCR(10)                                        D  11C
C                                                                       D  11D
      CHARACTER*4 SPECIS                                                D  11E

and from:

     1,JA(800),DILUT,TEMP,ERR,START,STOPP,SPECIS(61),TPRNT,TSTEP,ZENI   E   7
      COMMON /SPEC/ NS,HCSPEC(20),CARB(20),RCTY(20),XNF(2),IH(20),      E   8
     1INOX(2),FINHC(20),FALHC(20),NHC,OZIN,OZAL,HCIN,HCAL,XNIN,XNAL,    E   9
     2NOZ,FENX(2),C(61),REACT(61),NI,PLSP(5),KOZ(5)                     E  10
      COMMON /HEAT/ SC(200,12),ISC(200,3)                               E  11
      COMMON /NEED1/ IBLANK,MBLANK,IIHC,IINX,IICO,IINO2,IINO,IIO3,      E  12
     1IIH2O,IBZA,JPLUS                                                  E  13
      COMMON /STORE/ AST(60)                                            E  14
      COMMON /INOUT/ IN,IOUT,ITAPE,IALN,IALL,INHH,IOZC                  E  15
      COMMON /GEAR7/ IRS(200,12)                                        E  16
      COMMON /PHOTON/ CF(72,20),P(24,20),IPH(20),IP,RFCT(20),PP(10,20), E  17
     1IDEPO,RDEPO(26,10),LOCDEP(10),ISPDP(10),RDCOEF(125,10),IDPTIM,DPENE  18
     2D,RDEP1(26,10),DNOWS,SPRSE(300)                                   E  19
      DIMENSION KRS(12),SC1(12),IPL(12)                                 E  20
      INTEGER SPECIS,AST                                                E  21

to:

     1              ,JA(800),DILUT,TEMP,ERR,START,STOPP,TPRNT,TSTEP,ZENIE   7
      COMMON /SPEC/ NS,CARB(20),RCTY(20),XNF(2),IH(20),INOX(2),         E   8
     1              FINHC(20),FALHC(20),NHC,OZIN,OZAL,HCIN,HCAL,XNIN,   E   9
     2              XNAL,NOZ,FENX(2),C(61),NI,KOZ(5)                    E  10
      COMMON /HEAT/  SC(200,12),ISC(200,3)                              E  11
      COMMON /NEED1/ IBLANK,MBLANK,IIHC,IINX,IICO,IINO2,IINO,IIO3,      E  12
     1               IIH2O,JPLUS                                        E  13
      COMMON /STORE/ AST(60)                                            E  14
      COMMON /INOUT/ IN,IOUT,ITAPE,IALN,IALL,INHH,IOZC                  E  15
      COMMON /GEAR10/ IRS(200,12)                                       E  16
      COMMON /PHOTON/ CF(72,20),P(24,20),IPH(20),IP,RFCT(20),PP(10,20), E  17
     1                IDEPO,RDEPO(26,10),LOCDEP(10),RDCOEF(125,10),     E  18
     2                IDPTIM,DPEND,RDEP1(26,10),DNOWS,SPRSE(300)        E  19
C                                                                       E  19A
      COMMON /CALCHR/ SPECIS(61)                                        E  19B
      COMMON /NEED1C/ IBZA                                              E  19C
      COMMON /PHTCHR/ ISPDP(10)                                         E  19D
      COMMON /SPECHR/ HCSPEC(20), PLSP(5), REACT(61)                    E  19E
                                                                        E  19F
      CHARACTER*1 JMINUS, AST                                           E  19G
      CHARACTER*4 ISPDP                                                 E  19H
      CHARACTER*4 SPECIS, HCSPEC, PLSP, REACT                           E  19I
      CHARACTER*4 IBLANK,MBLANK,IIHC,IINX,IICO,IINO2,IINO,IIO3,         E  19J
     1            IIH2O,IBZA,JPLUS,                                     E  19K
     2            IPL, IRS, KRS, MORX                                   E  19L
C                                                                       E  19M
      DIMENSION KRS(12),SC1(12),IPL(12)                                 E  20
                                                                        E  21
  
19. The argument KK was never used and therefore the following line was
    changed from: 
 
      IF (IRS(J,K).NE.IBLANK) CALL VALU (SC(J,K),KK,NF,NL)              E  73

to:

      IF (IRS(J,K).NE.IBLANK) CALL VALU (SC(J,K),NF,NL)                 E  73


20.  The following common statements were changed from:

     1,JA(800),DILUT,TEMP,ERR,START,STOPP,SPECIS(61),TPRNT,TSTEP,ZENI   F   7
      COMMON /SPEC/ NS,HCSPEC(20),CARB(20),RCTY(20),XNF(2),IH(20),      F   8
     1INOX(2),FINHC(20),FALHC(20),NHC,OZIN,OZAL,HCIN,HCAL,XNIN,XNAL,    F   9
     2NOZ,FENX(2),C(61),REACT(61),NI,PLSP(5),KOZ(5)                     F  10
      COMMON /GEAR1/ TTDUM(5),UROUND,NNDUM(4)                           F  11
      COMMON /HEAT/ SC(200,12),ISC(200,3)                               F  12
      COMMON /NEED1/ IBLANK,MBLANK,IIHC,IINX,IICO,IINO2,IINO,IIO3,      F  13
     1IIH2O,IBZA,JPLUS                                                  F  14
      COMMON /STORE/ AST(60)                                            F  15
      COMMON /GEAR7/ KR(200,12)                                         F  16
      INTEGER SPECIS                                                    F  17

to:

     1,             JA(800),DILUT,TEMP,ERR,START,STOPP,TPRNT,TSTEP,ZENI F   7
      COMMON /SPEC/  NS,CARB(20),RCTY(20),XNF(2),IH(20),                F   8
     1               INOX(2),FINHC(20),FALHC(20),NHC,OZIN,OZAL,         F   9
     2               HCIN,HCAL,XNIN,XNAL,NOZ,FENX(2),C(61),NI,KOZ(5)    F  10
      COMMON /GEAR1/ TTDUM(5),UROUND,NNDUM(4)                           F  11
      COMMON /HEAT/  SC(200,12),ISC(200,3)                              F  12
      COMMON /NEED1/ IBLANK,MBLANK,IIHC,IINX,IICO,IINO2,IINO,IIO3,      F  13
     1               IIH2O,JPLUS                                        F  14
      COMMON /STORE/ AST(60)                                            F  15
      COMMON /GEAR10/ KR(200,12)                                        F  16
C                                                                       F  16A
      COMMON /CALCHR/ SPECIS(61)                                        F  16B
      COMMON /NEED1C/ IBZA                                              F  16C
      COMMON /SPECHR/ HCSPEC(20), PLSP(5), REACT(61)                    F  16D
C                                                                       F  16E
      CHARACTER*1 AST                                                   F  16F
      CHARACTER*4 SPECIS, HCSPEC, PLSP, REACT                           F  16G
      CHARACTER*4 IBLANK,MBLANK,IIHC,IINX,IICO,IINO2,IINO,IIO3,         F  16H
     1            IIH2O,IBZA,JPLUS,                                     F  16I
     2            KR, KCHR                                              F  16J
C                                                                       F  17
 

21. There was a conflict between integer and character variables which
    resulted in changing K to KCHR throughout lines in this subroutine. The
    following group of NONCONSECUTIVE LINES were changed from: 
 
      K=KR(I,J)                                                         F   72
      IF (K.NE.MBLANK) GO TO 110                                        F   80
  110 K=KR(I,J)                                                         F   89
      IF (KR(I,1).EQ.IBLANK) K=99                                       F   94
      IF (J.EQ.3.AND.K.EQ.MBLANK) K=99                                  F   98
  120 IF (K.EQ.MBLANK.OR.K.EQ.IBLANK) IR(I,J)=0                         F   99
      IF (K.EQ.IBLANK.OR.K.EQ.99) GO TO 160                             F  100
      IF (K.NE.SPECIS(L)) GO TO 140                                     F  105
  150 SPECIS(NS)=K                                                      F  116

to:

      KCHR=KR(I,J)                                                      F   72
      IF (KCHR.NE.MBLANK) GO TO 110                                     F   80
  110 KCHR=KR(I,J)                                                      F   89
      IF (KR(I,1).EQ.IBLANK) KCHR='99'                                  F   94
      IF (J.EQ.3.AND.KCHR.EQ.MBLANK) KCHR='99'                          F   98
  120 IF (KCHR.EQ.MBLANK.OR.KCHR.EQ.IBLANK) IR(I,J)=0                   F   99
      IF (KCHR.EQ.IBLANK.OR.KCHR.EQ.'99') GO TO 160                     F  100
      IF (KCHR.NE.SPECIS(L)) GO TO 140                                  F  105
  150 SPECIS(NS)=KCHR                                                   F  116


22. The following common statements were changed to separate character
    variables from integer and real variables and to facilitate debugging:

     1,JA(800),DILUT,TEMP,ERR,START,STOPP,SPECIS(61),TPRNT,TSTEP,ZENI   G    7
      COMMON /SPEC/ NS,HCSPEC(20),CARB(20),RCTY(20),XNF(2),IH(20),      G    8
     1INOX(2),FINHC(20),FALHC(20),NHC,OZIN,OZAL,HCIN,HCAL,XNIN,XNAL,    G    9
     2NOZ,FENX(2),C(61),REACT(61),NI,PLSP(5),KOZ(5)                     G   10
      COMMON /HEAT/ SC(200,12),ISC(200,3)                               G   11
      COMMON /NEED1/ IBLANK,MBLANK,IIHC,IINX,IICO,IINO2,IINO,IIO3,      G   12
     1IIH2O,IBZA,JPLUS                                                  G   13
      COMMON /STORE/ AST(60)                                            G   14
      COMMON /INOUT/ IN,IOUT,ITAPE,IALN,IALL,INHH,IOZC                  G   15
      COMMON /PHOTON/ CF(72,20),P(24,20),IPH(20),IP,RFCT(20),PP(10,20), G   16
     1IDEPO,RDEPO(26,10),LOCDEP(10),ISPDP(10),RDCOEF(125,10),IDPTIM,DPENG   17
     2D,RDEP1(26,10),DNOWS,SPRSE(300)                                   G   18
      DIMENSION KRS(12),IPL(12)                                         G   19
      INTEGER SPECIS,AST                                                G   20

to:
     1,             JA(800),DILUT,TEMP,ERR,START,STOPP,TPRNT,TSTEP,ZENI G    7
      COMMON /SPEC/   NS,CARB(20),RCTY(20),XNF(2),IH(20),INOX(2),       G    8
     1                FINHC(20),FALHC(20),NHC,OZIN,OZAL,HCIN,HCAL,XNIN, G    9
     2                XNAL,NOZ,FENX(2),C(61),NI,KOZ(5)                  G   10
      COMMON /HEAT/   SC(200,12),ISC(200,3)                             G   11
      COMMON /NEED1/  IBLANK,MBLANK,IIHC,IINX,IICO,IINO2,IINO,IIO3,     G   12
     1                IIH2O,JPLUS                                       G   13
      COMMON /STORE/  AST(60)                                           G   14
      COMMON /INOUT/  IN,IOUT,ITAPE,IALN,IALL,INHH,IOZC                 G   15
      COMMON /PHOTON/ CF(72,20),P(24,20),IPH(20),IP,RFCT(20),PP(10,20), G   16
     1                IDEPO,RDEPO(26,10),LOCDEP(10),RDCOEF(125,10),     G   17
     2                IDPTIM,DPEND,RDEP1(26,10),DNOWS,SPRSE(300)        G   18
C                                                                       G  18A
      COMMON /CALCHR/ SPECIS(61)                                        G  18B
      COMMON /NEED1C/ IBZA                                              G  18C
      COMMON /PHTCHR/ ISPDP(10)                                         G  18D
      COMMON /SPECHR/ HCSPEC(20), PLSP(5), REACT(61)                    G  18E
C                                                                       G  18F
      CHARACTER*1 JMINUS, AST                                           G  18G
      CHARACTER*4 ISPDP                                                 G  18H
      CHARACTER*4 SPECIS, HCSPEC, PLSP, REACT                           G  18I
      CHARACTER*4 IBLANK,MBLANK,IIHC,IINX,IICO,IINO2,IINO,IIO3,         G  18J
     1            IIH2O,IBZA,JPLUS,                                     G  18K
     2            KRS, IPL                                              G  18L
C                                                                       G  18M
      DIMENSION KRS(12),IPL(12)                                         G  19
C                                                                       G  20
 
23.  The argument, KK, was never used and therefore the following line was   
     changed from: 
 
      IF (KRS(K).NE.IBLANK) CALL VALU (SC(J,K),KK,NF,NL)                G   45

to:

      IF (KRS(K).NE.IBLANK) CALL VALU (SC(J,K),NF,NL)                   G   45


24.  The following common statements were changed to facilitate debugging.
     The lines were changed from:

      COMMON /SUNLIT/ Z(10),RTCON(10),                                  H    6
     1LAM1,INC,SLA,SLO,TZ,IY,IM,ID,ISTRT,ISTOP,IINC,IEND,SPECIE,MAXZ,ITIH    7
     2ME(24),XZ(24),K(24),JSTRT,JSTOP,PSPEC,MNLM,MXLM,MAXL,MAXJ         H    8
      COMMON /CNTRL/ SIG,SIGMA,INFO,NPTO,TSRT,DTIM,Z1,Z2,DCON,EHC,EXN,FLH    9
     1ST,TLST                                                           H   10
      COMMON /MIXING/ DSTRT,DEND,A(5),B(5),C(5),FD(6),                  H   11
     1Y(6),AMIX(26),DL,TTMAX,SRISE,HMIN,DELH,TDIL,NMIX,HTT,SSET,SSRISE  H   12

to:

      COMMON /SUNLIT/ Z(10),RTCON(10),LAM1,INC,SLA,SLO,TZ,IY,IM,ID,     H    6
     1                ISTRT,ISTOP,IINC,IEND,SPECIE,MAXZ,ITIME(24),      H    7
     2                XZ(24),K(24),JSTRT,JSTOP,PSPEC,MNLM,MXLM,MAXL,MAXJH    8
      COMMON /CNTRL/  SIG,SIGMA,INFO,NPTO,TSRT,DTIM,Z1,Z2,DCON,EHC,EXN, H    9
     1                FLST,TLST                                         H   10
      COMMON /MIXING/ DSTRT,DEND,A(5),B(5),C(5),FD(6),Y(6),AMIX(26),DL, H   11
     1                TTMAX,SRISE,HMIN,DELH,TDIL,NMIX,HTT,SSET,SSRISE   H   12


25.  The following lines were changed from:

     1,JA(800),DILUT,TEMP,ERR,START,STOPP,SPECIS(61),TPRNT,TSTEP,ZENI   I    7
      COMMON /SPEC/ NS,HCSPEC(20),CARB(20),RCTY(20),XNF(2),IH(20),      I    8
     1INOX(2),FINHC(20),FALHC(20),NHC,OZIN,OZAL,HCIN,HCAL,XNIN,XNAL,    I    9
     2NOZ,FENX(2),CR(61),REACT(61),NI,PLSP(5),KOZ(5)                    I   10
      DIMENSION C(1)                                                    I   11
      DIMENSION SIG(61)                                                 I   12
      INTEGER SPECIS,REACT,HCSPEC                                       I   13

to:

     1,             JA(800),DILUT,TEMP,ERR,START,STOPP,TPRNT,TSTEP,ZENI I    7
      COMMON /SPEC/ NS,CARB(20),RCTY(20),XNF(2),IH(20),INOX(2),         I    8
     1              FINHC(20),FALHC(20),NHC,OZIN,OZAL,HCIN,HCAL,XNIN,   I    9
     2              XNAL,NOZ,FENX(2),CR(61),NI,KOZ(5)                   I   10
C                                                                       I  10A
      COMMON /CALCHR/ SPECIS(61)                                        I  10B
      COMMON /SPECHR/ HCSPEC(20), PLSP(5), REACT(61)                    I  10C
C                                                                       I  10D
      DIMENSION C(1)                                                    I  11
      DIMENSION SIG(61)                                                 I  12
C                                                                       I  12A
      CHARACTER*4 SPECIS, REACT, HCSPEC, PLSP                           I  13
C                                                                       I  13A
  
in order to separate character variables from integer and real variables in 
common statements which was also done for the following common statements by 
changing these lines from: 
 
     1,JB(800),DILUT,TEMP,ERR,START,STOPP,SPECIS(61),TPRNT,TSTEP,ZENI   J   7
      COMMON /SPEC/ NS,HCSPEC(20),CARB(20),RCTY(20),XNF(2),IH(20),      J   8
     1INOX(2),FINHC(20),FALHC(20),NHC,OZIN,OZAL,HCIN,HCAL,XNIN,XNAL,    J   9
     2NOZ,FENX(2),C(61),REACT(61),NI,PLSP(5),KOZ(5)                     J  10

to:

     1,             JB(800),DILUT,TEMP,ERR,START,STOPP,TPRNT,TSTEP,ZENI J   7
      COMMON /SPEC/ NS,CARB(20),RCTY(20),XNF(2),IH(20),INOX(2),         J   8
     1              FINHC(20),FALHC(20),NHC,OZIN,OZAL,HCIN,HCAL,XNIN,   J   9
     2              XNAL,NOZ,FENX(2),C(61),NI,KOZ(5)                    J  10
C                                                                       J  10A
      COMMON /CALCHR/ SPECIS(61)                                        J  10B
      COMMON /SPECHR/ HCSPEC(20), PLSP(5), REACT(61)                    J  10C
C                                                                       J  10D
      CHARACTER*4 SPECIS, HCSPEC, PLSP, REACT                           J  10E
C                                                                       J  10F

26.  The following line was added to define character variables:

      CHARACTER*1 JDIGIT, JBLANK, L                                     K  10A



27. The argument, N, was never used and therefore the following line was
    changed from:

      SUBROUTINE VALU (VAL,N,NF,NL)                                     L    1

to:

      SUBROUTINE VALU (VAL,NF,NL)                                       L    1


28.  The following lines were restructured to add a statement to separate
     character variables from integer variables. The following lines were
     changed from:

      DIMENSION AC(5), AD(5), BC(5)                                     L    8
      INTEGER AC,AD,BC,AST                                              L    9
      DATA IBLK/' '/,IPER/'.'/,IZRO/'0'/                                L   10

to:

C                                                                       L   7A
      DIMENSION AC(5), AD(5), BC(5)                                     L   8
      CHARACTER*1 IBLK, IPER, IZRO, IVV, AC, AD, BC, AST                L   9
      DATA IBLK/' '/,IPER/'.'/,IZRO/'0'/                                L  10
C                                                                       L  10A
 
 
29. The following lines were restructured to facilitate debugging and to
    change integer variables to character variables and were changed from: 
 
      COMMON /SUNLIT/ Z(10),RTCON(10),                                  O    8
     1LAM1,INC,SLA,SLO,TZ,IY,IM,ID,ISTRT,ISTOP,IINC,IEND,SPECIE,MAXZ,ITIO    9
     2ME(24),XZ(24),K(24),JSTRT,JSTOP,SPEC,MNLM,MXLM,MAXL,MAXJ          O   10
      COMMON /PHOTON/ CF(72,20),P(24,20),IPH(20),IP,RFCT(20),PP(10,20), O   11
     1IDEPO,RDEPO(26,10),LOCDEP(10),ISPDP(10),RDCOEF(125,10),IDPTIM,DPENO   12
     2D,RDEP1(26,10),DNOWS,SPRSE(300)                                   O   13

to:

      COMMON /SUNLIT/ Z(10),RTCON(10),LAM1,INC,SLA,SLO,TZ,IY,IM,ID,     O   8
     1                ISTRT,ISTOP,IINC,IEND,SPECIE,MAXZ,ITIME(24),      O   9
     2                XZ(24),K(24),JSTRT,JSTOP,SPEC,MNLM,MXLM,MAXL,MAXJ O  10
      COMMON /PHOTON/ CF(72,20),P(24,20),IPH(20),IP,RFCT(20),PP(10,20), O  11
     1                IDEPO,RDEPO(26,10),LOCDEP(10),RDCOEF(125,10),     O  12
     2                IDPTIM,DPEND,RDEP1(26,10),DNOWS,SPRSE(300)        O  13
C                                                                       O  13A
      COMMON /PHTCHR/ ISPDP(10)                                         O  13B
      CHARACTER*4 ISPDP                                                 O  13C
C                                                                       O  13D

30.  To facilitate debugging, the following lines were restructured from:

      COMMON /SUNLIT/ Z(10),RTCON(10),                                  T    6
     1LAM1,INC,SLA,SLO,TZ,IY,IM,ID,ISTRT,ISTOP,IINC,IEND,SPECIE,MAXZ,ITIT    7
     2ME(24),XZ(24),KJ(24),JSTRT,JSTOP,PSPEC,MNLM,MXLM,MAXL,MAXJ        T    8
      COMMON /MIXING/ DSTRT,DEND,AMC(5),BMC(5),CMC(5),FD(6),FG(6),      T    9
     1AMXX(26),DL,TTMAX,SSRISE,SRMIN,DELH,TDIL,NMXX,HEIGHT,SSET,SRISE   T   10

to:

      COMMON /SUNLIT/ Z(10),RTCON(10),LAM1,INC,SLA,SLO,TZ,IY,IM,ID,     T   6
     1                ISTRT,ISTOP,IINC,IEND,SPECIE,MAXZ,ITIME(24),XZ(24)T   7
     2,               KJ(24),JSTRT,JSTOP,PSPEC,MNLM,MXLM,MAXL,MAXJ      T   8
      COMMON /MIXING/ DSTRT,DEND,AMC(5),BMC(5),CMC(5),FD(6),FG(6),      T   9
     1                AMXX(26),DL,TTMAX,SSRISE,SRMIN,DELH,TDIL,NMXX,    T   9A
     2                HEIGHT,SSET,SRISE                                 T  10


31. The following lines were changed to separate character variables from
    integer and real variables in common statements and to facilitate
    debugging. The lines were changed from:

     1,JA(800),DILUT,TEMP,ERR,START,STOPP,SPECIS(61),TPRNT,TSTEP,ZENI   U  19
      COMMON /CNTRL/ SIG,SIGMA,INFO,NPTO,TSRT,DTIM,Z1,Z2,DCON,EHC,EXN,FLU  20
     1ST,TLST                                                           U  21
      COMMON /SPEC/ NS,HCSPEC(20),CARB(20),RCTY(20),XNF(2),IH(20),      U  22
     1INOX(2),FINHC(20),FALHC(20),NHC,OZIN,OZAL,HCIN,HCAL,XNIN,XNAL,    U  23
     2NOZ,FENX(2),C(61),REACT(61),NI,PLSP(5),KOZ(5)                     U  24
      COMMON /SUNLIT/ Z(10),RTCON(10),                                  U  25
     1LAM1,INC,SLA,SLO,TZ,IY,IM,ID,ISTRT,ISTOP,IINC,IEND,SPECIE,MAXZ,ITIU  26
     2ME(24),XZ(24),KKK(24),JSTRT,JSTOP,PSPEC,MNLM,MXLM,MAXL,MAXJ       U  27
      COMMON /PHOTON/ CF(72,20),P(24,20),IPH(20),IP,RFCT(20),PP(10,20), U  28
     1IDEPO,RDEPO(26,10),LOCDEP(10),ISPDP(10),RDCOEF(125,10),IDPTIM,DPENU  29
     2D,RDEP1(26,10),DNOWS,SPRSE(300)                                   U  30
      COMMON /ZENITH/ IPZ,ZDEF(10,20),IPHZ(20),IZENP                    U  31
      COMMON /EMIS/ NEM,ISP,ESTRT(5),ESTOP,ESLP,EMSP(5),IEMLS(5),EOSLP(5U  32
     1),EMO(26,5),ECI(5),EM(26),EC(125),ECO(125,5)                      U  33
      COMMON /MIX/ NMIX,AMIX(26),STRM,STOPM,DC(104)                     U  34
      COMMON /MIXING/ DSTRT,DEND,AMC(5),BMC(5),CMC(5),FD(6),FG(6),      U  35
     1 AMXX(26),DL,TTMAX,SSRISE,SRMIN,DELH,TDIL,NMXX,HEIGHT,SSET,SRISE  U  36
      COMMON /TEMPER/ TEMEND,NTEMP,QM(30)                               U  37
      COMMON /FRPLOT/ SAVCON(80,5),SAVTIM(80),NTSV,INOW                 U  38
      COMMON /INOUT/ IN,IOUT,ITAPE,IALN,IALL,INHH,IOZC                  U  39
      COMMON /TITL/ ITTL(36)                                            U  40
      COMMON /NEED/ HC,XN,NL,OZP(20),OZN(11,11,5),MR,LS,HCS,XNS         U  41
      COMMON /HEAT/ SC(200,12),ISC(200,3)                               U  42
      COMMON /NEED1/ IBLANK,MBLANK,IIHC,IINX,IICO,IINO2,IINO,IIO3,      U  43
     1IIH2O,IBZA,JPLUS                                                  U  44
      COMMON /STORE/ AST(60)                                            U  45
      COMMON /HOUR/ OZM(5),NGO,TTM,TMY(5)                               U  46
      COMMON /PLTVEC/ HCT(20),OT(20),NT,OHC,HCG,PLTGRD,OXN,XNG,HC1,XN1,TU  47
     1ICZ,DIGZ,CHRZ,IPLDEV                                              U  48
      COMMON /ALOFT/ IALFT,CALFT(10),LOCALF(10),ISPAL(10)               U  49
      COMMON /VVLB1/ FCTR,DIST,CHRSIZ,NNCHR,OZBL                        U  50
      COMMON /BK1/ FBK(20),FBKAL(5),HCBK,XNBK,OZBK,H2OBK                U  51
      COMMON /CRED/ ICR,ISPCR,ISPNCR(3),SPCR69(3),SURFCR(3),ALOFCR(3),  U  52
     1REDCR(3),FSRFCR(3),FALFCR(3),COSFBK,COAFBK                        U  53
      COMMON /BIOG/ NBEM,IBSP,IBEMSP(5),WTMOL(5),ACB4(5),SURFBI(5),     U  53A
     1ALOFBI(5),REDBI(5),FSRFBI(5),FALFBI(5),BEMO(26,5),BECO(126,5),    U  53B
     2IISOP,CBTOT(5),IBLS(5),BESTOP,BFRAC(20,5)                         U  53C
      DIMENSION X(7),OZOUT(11),OZV(10),HCTMP(10),ANXTMP(10),            U  54
     1OZSORT(10),HCSORT(10),ANSORT(10),YP(20),TM(20),SCRSV(3),ALCRSV(3),U  55
     2SPCRSV(3),SBIOSV(5),ABIOSV(5),EM1(26)                             U  56

to:

     1,             JA(800),DILUT,TEMP,ERR,START,STOPP,TPRNT,TSTEP,ZENI U  19
      COMMON /CNTRL/ SIG,SIGMA,INFO,NPTO,TSRT,DTIM,Z1,Z2,DCON,EHC,EXN,  U  20
     1               FLST,TLST                                          U  21
      COMMON /SPEC/ NS,CARB(20),RCTY(20),XNF(2),IH(20),INOX(2),         U  22
     1              FINHC(20),FALHC(20),NHC,OZIN,OZAL,HCIN,HCAL,XNIN,   U  23
     2              XNAL,NOZ,FENX(2),C(61),NI,KOZ(5)                    U  24
      COMMON /SUNLIT/ Z(10),RTCON(10),LAM1,INC,SLA,SLO,TZ,IY,IM,ID,     U  25
     1                ISTRT,ISTOP,IINC,IEND,SPECIE,MAXZ,ITIME(24),XZ(24)U  26
     2                ,KKK(24),JSTRT,JSTOP,PSPEC,MNLM,MXLM,MAXL,MAXJ    U  27
      COMMON /PHOTON/ CF(72,20),P(24,20),IPH(20),IP,RFCT(20),PP(10,20), U  28
     1                IDEPO,RDEPO(26,10),LOCDEP(10),RDCOEF(125,10),     U  29
     2                IDPTIM,DPEND,RDEP1(26,10),DNOWS,SPRSE(300)        U  30
      COMMON /ZENITH/ IPZ,ZDEF(10,20),IPHZ(20),IZENP                    U  31
      COMMON /EMIS/   NEM,ISP,ESTRT(5),ESTOP,ESLP,IEMLS(5),EOSLP(5),    U  32
     1                EMO(26,5),ECI(5),EM(26),EC(125),ECO(125,5)        U  33
      COMMON /MIX/    NMIX,AMIX(26),STRM,STOPM,DC(104)                  U  34
      COMMON /MIXING/ DSTRT,DEND,AMC(5),BMC(5),CMC(5),FD(6),FG(6),      U  35
     1                AMXX(26),DL,TTMAX,SSRISE,SRMIN,DELH,TDIL,NMXX,    U  35A
     2                HEIGHT,SSET,SRISE                                 U  36
      COMMON /TEMPER/ TEMEND,NTEMP,QM(30)                               U  37
      COMMON /FRPLOT/ SAVCON(80,5),SAVTIM(80),NTSV,INOW                 U  38
      COMMON /INOUT/  IN,IOUT,ITAPE,IALN,IALL,INHH,IOZC                 U  39
C     COMMON /TITL/   ITTL(36)                                          U  40
      COMMON /NEED/   HC,XN,NL,OZP(20),OZN(11,11,5),MR,LS,HCS,XNS       U  41
      COMMON /HEAT/   SC(200,12),ISC(200,3)                             U  42
      COMMON /NEED1/  IBLANK,MBLANK,IIHC,IINX,IICO,IINO2,IINO,IIO3,     U  43
     1                IIH2O,JPLUS                                       U  44
C                                                                       U  45
      COMMON /HOUR/   OZM(5),NGO,TTM,TMY(5)                             U  46
      COMMON /PLTVEC/ HCT(20),OT(20),NT,OHC,HCG,PLTGRD,OXN,XNG,HC1,XN1, U  47
     1                TICZ,DIGZ,CHRZ,IPLDEV                             U  48
      COMMON /ALOFT/  IALFT,CALFT(10),LOCALF(10)                        U  49
      COMMON /VVLB1/  FCTR,DIST,CHRSIZ,NNCHR,OZBL                       U  50
      COMMON /BK1/    FBK(20),FBKAL(5),HCBK,XNBK,OZBK,H2OBK             U  51
      COMMON /CRED/   ICR,ISPCR,SPCR69(3),SURFCR(3),ALOFCR(3),          U  52
     1                REDCR(3),FSRFCR(3),FALFCR(3),COSFBK,COAFBK        U  53
      COMMON /BIOG/   NBEM,IBSP,WTMOL(5),ACB4(5),SURFBI(5),             U  53A
     1                ALOFBI(5),REDBI(5),FSRFBI(5),FALFBI(5),BEMO(26,5),U  53B
     2                BECO(126,5),CBTOT(5),IBLS(5),BESTOP,BFRAC(20,5)   U  53C
C                                                                       U  53D
      COMMON /ALFCHR/ ISPAL(10)                                         U  53E
      COMMON /BIOCHR/ IISOP, IBEMSP(5)                                  U  53F
      COMMON /CRECHR/ ISPNCR(3)                                         U  53G
      COMMON /EMSCHR/ EMSP(5)                                           U  53H
      COMMON /NEED1C/ IBZA                                              U  53I
      COMMON /PHTCHR/ ISPDP(10)                                         U  53J
      COMMON /CALCHR/ SPECIS(61)                                        U  53K
      COMMON /SPECHR/ HCSPEC(20), PLSP(5), REACT(61)                    U  53L
C                                                                       U  53M
      CHARACTER*4 ISPAL, ISPDP, ISPNCR, IBEMSP                          U  53N
      CHARACTER*4 SPECIS, HCSPEC, PLSP, IISOP, EMSP, REACT              U  53O
      CHARACTER*4 IBLANK,MBLANK,IIHC,IINX,IICO,IINO2,IINO,IIO3,         U  53P
     1   IIH2O,IBZA,JPLUS                                               U  53Q
C                                                                       U  53R
      DIMENSION X(7),OZOUT(11),OZV(10),HCTMP(10),ANXTMP(10),OZSORT(10), U  54
     1          HCSORT(10),ANSORT(10),YP(20),TM(20),SCRSV(3),ALCRSV(3), U  55
     2          SPCRSV(3),SBIOSV(5),ABIOSV(5),EM1(26)                   U  56


32.  Commas were removed changing the following NONCONSECUTIVE lines from:

  410 FORMAT (1H1,  // 40X,43HEKMA CALCULATIONS ARE PERFORMED TO ESTIMATU 461
     4 ////1H1,///,40X,36HTHE FOLLOWING SIMULATIONS WERE DONE./1H0,     U 477
     439X, 55HBASE YEAR NMOC AND NOX LOCATIONS ARE ALREADY DETERMINED,/,U 483
     8 ////1H1,///40X,36HTHE FOLLOWING SIMULATIONS WERE DONE./1H0,      U 487
     9    15X,4HNMOC,17X,3HNOX,15X,5HRATIO,17X,A4,16X,4HTIME)           U 488
C                                                                       U 489
  450 FORMAT (1H0,39X,37HEMISSION CREDITS WILL BE ALLOWED FOR ,A4,/,1H0,U 490
     1 39X,22HANTICIPATED CHANGE IN ,A4,10X,F10.3,8H PERCENT ,  /,1H0,  U 491
     239X,7HFUTURE ,A4,25H TRANSPORTED ALOFT        ,F10.3,4H PPM  )    U 492
  451 FORMAT (1H0,39X,42HFUTURE BIOGENIC EMISSIONS WILL BE SET FOR ,    U 492A
     1A4,/,1H0,39X,22HANTICIPATED CHANGE IN ,A4,10X,F10.3,8H PERCENT ,  U 492B
     2/,1H0,39X,7HFUTURE ,A4,33H TRANSPORTED IN THE SURFACE LAYER,F10.3,U 492C
     34H PPM,/,1H0,39X,7HFUTURE ,A4,25H TRANSPORTED ALOFT        ,      U 492D
     1        I3,6H TRYS ,//,40X,34HCHECK INPUT CONDITIONS OR GENERATE  U 495
     2        ,/,40X,20HAN ISOPLETH DIAGRAM.  )                         U 496

to:

  410 FORMAT (1H1   // 40X,43HEKMA CALCULATIONS ARE PERFORMED TO ESTIMATU 461
     4 ////1H1 ///,40X,36HTHE FOLLOWING SIMULATIONS WERE DONE./1H0,     U 477
     439X, 55HBASE YEAR NMOC AND NOX LOCATIONS ARE ALREADY DETERMINED/  U 483
     8 ////1H1 ///40X,36HTHE FOLLOWING SIMULATIONS WERE DONE./1H0,      U 487
     9    15X,4HNMOC,17X,3HNOX,15X,5HRATIO,17X,A4,16X,4HTIME)           U 488
C                                                                       U 489
  450 FORMAT (1H0,39X,37HEMISSION CREDITS WILL BE ALLOWED FOR ,A4/1H0,  U 490
     1 39X,22HANTICIPATED CHANGE IN ,A4,10X,F10.3,8H PERCENT   /1H0,    U 491
     239X,7HFUTURE ,A4,25H TRANSPORTED ALOFT        ,F10.3,4H PPM  )    U 492
  451 FORMAT (1H0,39X,42HFUTURE BIOGENIC EMISSIONS WILL BE SET FOR ,    U 492A
     1A4/1H0,39X,22HANTICIPATED CHANGE IN ,A4,10X,F10.3,8H PERCENT      U 492B
     2/1H0,39X,7HFUTURE ,A4,33H TRANSPORTED IN THE SURFACE LAYER,F10.3, U 492C
     34H PPM/1H0,39X,7HFUTURE ,A4,25H TRANSPORTED ALOFT        ,        U 492D
     4F10.3,4H PPM    )                                                 U 492E
     1        I3,6H TRYS //40X,34HCHECK INPUT CONDITIONS OR GENERATE    U 495
     2        /40X,20HAN ISOPLETH DIAGRAM.  )                           U 496

and from:

     1 OCCUR WITH THE GIVEN INPUTS. ,/,40X, 32HTHE MAXIMUM CALCULATED OZU 508
     2ONE IS ,F10.3,5H PPM.//)                                          U 509
  540 FORMAT (1H0,39X,44HTHE BASE YEAR OZONE OCCURS AT TWO LOCATIONS ,/,U 510
     140X,25HALONG THE NMOC/NOX RATIO:,/,1H0,                           U 511
     2    39X,4HNMOC,17X,3HNOX,/,35X,F11.5,7X,F11.5,/,35X,F11.5,7X,     U 512
     3    F11.5,//,40X,45HTHE LOCATION CLOSEST TO THE MEASURED NMOC OF ,U 513
     4 F10.3, 5H PPMC ,/,40X,11HAND NOX OF ,F10.3,18H PPM WILL BE USED. U 514
     5, / , 40X,50HTHE FOLLOWING SIMULATIONS WERE DONE AT THIS POINT.,/,U 515
     61H0,14X,4HNMOC,17X,3HNOX,15X,5HRATIO,17X,A4,16X,4HTIME)           U 516
  550 FORMAT (1H0,39X,21HCANNOT FIND OZONE OF ,F5.2,17H AFTER SECOND SETU 517
     1,/,40X,56HOF ITERATIONS.  CHECK INPUTS OR GENERATE AN ISOPLETH DIAU 518
     25HGRAM. )                                                         U 519
  560 FORMAT (1H0,39X,33HNOTE THE CALCULATED REDUCTION OF ,F6.2,8H PERCEU 520
     1NT,/,40X,54HMAYBE UNREALISTIC WITH THE GIVEN INPUTS.              U 521
     2,/,40X,35HAN ISOPLETH DIAGRAM IS RECOMMENDED. )                   U 522
  570 FORMAT (1H0,39X,44HBOTH CALCULATED NMOC AND NOX LOCATIONS ARE  ,/,U 523
     140X,57HOUTSIDE RANGE OF INTERPOLATION.  CHECK INPUTS OR GENERATE  U 524
     2,/,40X,20HAN ISOPLETH DIAGRAM.  )                                 U 525

to:

     1 OCCUR WITH THE GIVEN INPUTS. /40X, 32HTHE MAXIMUM CALCULATED OZONU 508
     2E IS ,F10.3,5H PPM.//)                                            U 509
  540 FORMAT (1H0,39X,44HTHE BASE YEAR OZONE OCCURS AT TWO LOCATIONS /  U 510
     140X,25HALONG THE NMOC/NOX RATIO:/1H0,                             U 511
     2    39X,4HNMOC,17X,3HNOX/35X,F11.5,7X,F11.5/35X,F11.5,7X,         U 512
     3    F11.5//40X,45HTHE LOCATION CLOSEST TO THE MEASURED NMOC OF ,  U 513
     4 F10.3, 5H PPMC /40X,11HAND NOX OF ,F10.3,18H PPM WILL BE USED.   U 514
     5 /  40X,50HTHE FOLLOWING SIMULATIONS WERE DONE AT THIS POINT./    U 515
     61H0,14X,4HNMOC,17X,3HNOX,15X,5HRATIO,17X,A4,16X,4HTIME)           U 516
  550 FORMAT (1H0,39X,21HCANNOT FIND OZONE OF ,F5.2,17H AFTER SECOND SETU 517
     1/40X,56HOF ITERATIONS.  CHECK INPUTS OR GENERATE AN ISOPLETH DIA, U 518
     25HGRAM. )                                                         U 519
  560 FORMAT (1H0,39X,33HNOTE THE CALCULATED REDUCTION OF ,F6.2,8H PERCEU 520
     1NT/40X,54HMAYBE UNREALISTIC WITH THE GIVEN INPUTS.                U 521
     2/40X,35HAN ISOPLETH DIAGRAM IS RECOMMENDED. )                     U 522
  570 FORMAT (1H0,39X,44HBOTH CALCULATED NMOC AND NOX LOCATIONS ARE  /  U 523
     140X,57HOUTSIDE RANGE OF INTERPOLATION.  CHECK INPUTS OR GENERATE  U 524
     2/40X,20HAN ISOPLETH DIAGRAM.  )                                   U 525


33.  Character variables were separated from integer and real variables by
     changing to following lines from:

     1,JA(800),DILUT,TEMP,ERR,START,STOPP,SPECIS(61),TPRNT,TSTEP,ZENI   V   7
      COMMON /TITL/ ITTL(36)                                            V   8
      COMMON /HOUR/ OZM(5),NGO,TTM,TM(5)                                V   9
      COMMON /CNTRL/ SIG,SIGMA,INFO,NPTO,TSRT,DTIM,Z1,Z2,DCON,EHC,EXN,FLV  10
     1ST,TLST                                                           V  11
      COMMON /EMIS/ NEM,IS1,ESTRT(5),ESTOP,ESLP,EMSP(5),IEMLS(5),EOSLP(5V  12
     1),EMO(26,5),ECI(5),EM(26),EC(125),ECO(125,5)                      V  13
      COMMON /HEAT/ SC(200,12),ISC(200,3)                               V  14
      COMMON /NEED1/ IBLANK,MBLANK,IIHC,IINX,IICO,IINO2,IINO,IIO3,      V  15
     1IIH2O,IBZA,JPLUS                                                  V  16
      COMMON /FRPLOT/ SAVCON(80,5),SAVTIM(80),NT,INOW                   V  17
      COMMON /STORE/ AST(60)                                            V  18
      COMMON /INOUT/ INU,IOUT,ITAPE,IALN,IALL,IN1,IOZC                  V  19
      COMMON /SPEC/ NS,HCSPEC(20),CARB(20),RCTY(20),XNF(2),IH(20),      V  20
     1INOX(2),FINHC(20),FALHC(20),NHC,OZIN,OZAL,HCIN,HCAL,XNIN,XNAL,    V  21
     2NOZ,FENX(2),CI(61),REACT(61),NI,PLSP(5),KOZ(5)                    V  22
      COMMON /SUNLIT/ Z(10),RTCON(10),                                  V  23
     1LAM1,INC,SLA,SLO,TZ,IY,IM,ID,ISTRT,ISTOP,IINC,IEND,SPECIE,MAXZ,ITIV  24
     2ME(24),XZ(24),KK(24),JSTRT,JSTOP,SPEE,MNLM,MXLM,MAXL,MAXJ         V  25
      COMMON /HJH/ HCSAV,XNSAV                                          V  26
      COMMON /PHOTON/ CF(72,20),P(24,20),IPH(20),IP,RFCT(20),PP(10,20), V  27
     1IDEPO,RDEPO(26,10),LOCDEP(10),ISPDP(10),RDCOEF(125,10),IDPTIM,DPENV  28
     2D,RDEP1(26,10),DNOWS,SPRSE(300)                                   V  29
      COMMON /MIX/ NMIX,AMIX(26),STRM,STOPM,DC(104)                     V  30
      COMMON /MIXING/ DSTRT,DEND,AMC(5),BMC(5),CMC(5),FD(6),FG(6),      V  31
     1AMXX(26),DL,TTMAX,SSRISE,SRMIN,DELH,TDIL,NMXX,HEIGHT,SSET,SRISE   V  32
      COMMON /BK1/ FBK(20),FBKAL(5),HCBK,XNBK,OZBK,H2OBK                V  33
      COMMON /CRED/ ICR,ISPCR,ISPNCR(3),SPCR69(3),SURFCR(3),ALOFCR(3),  V  34
     1REDCR(3),FSRFCR(3),FALFCR(3),COSFBK,COAFBK                        V  35
      COMMON /BIOG/ NBEM,IBSP,IBEMSP(5),WTMOL(5),ACB4(5),SURFBI(5),     V  35A
     1ALOFBI(5),REDBI(5),FSRFBI(5),FALFBI(5),BEMO(26,5),BECO(126,5),    V  35B
     2IISOP,CBTOT(5),IBLS(5),BESTOP,BFRAC(20,5)                         V  35C
      DIMENSION RT(200), RX(20), C(61), CO3(5), INST(3,5),YY(61,6)      V  36
      INTEGER REACT,SPECIS,HCSPEC,PLSP,SPEE,EMSP                        V  37

to:

     1,             JA(800),DILUT,TEMP,ERR,START,STOPP,TPRNT,TSTEP,ZENI V   7
      COMMON /TITL/   ITTL(36)                                          V   8
      COMMON /HOUR/   OZM(5),NGO,TTM,TM(5)                              V   9
      COMMON /CNTRL/  SIG,SIGMA,INFO,NPTO,TSRT,DTIM,Z1,Z2,DCON,EHC,EXN, V  10
     1                FLST,TLST                                         V  11
      COMMON /EMIS/   NEM,IS1,ESTRT(5),ESTOP,ESLP,IEMLS(5),EOSLP(5),    V  12
     1                EMO(26,5),ECI(5),EM(26),EC(125),ECO(125,5)        V  13
      COMMON /HEAT/   SC(200,12),ISC(200,3)                             V  14
      COMMON /NEED1/  IBLANK,MBLANK,IIHC,IINX,IICO,IINO2,IINO,IIO3,     V  15
     1                IIH2O,JPLUS                                       V  16
      COMMON /FRPLOT/ SAVCON(80,5),SAVTIM(80),NT,INOW                   V  17
C                                                                       V  18
      COMMON /INOUT/  INU,IOUT,ITAPE,IALN,IALL,IN1,IOZC                 V  19
      COMMON /SPEC/   NS,CARB(20),RCTY(20),XNF(2),IH(20),INOX(2),       V  20
     1                FINHC(20),FALHC(20),NHC,OZIN,OZAL,HCIN,HCAL,XNIN, V  21
     2                XNAL,NOZ,FENX(2),CI(61),NI,KOZ(5)                 V  22
      COMMON /SUNLIT/ Z(10),RTCON(10),LAM1,INC,SLA,SLO,TZ,IY,IM,ID,     V  23
     1                ISTRT,ISTOP,IINC,IEND,SPECIE,MAXZ,ITIME(24),      V  24
     2                XZ(24),KK(24),JSTRT,JSTOP,SPEE,MNLM,MXLM,MAXL,MAXJV  25
      COMMON /HJH/    HCSAV,XNSAV                                       V  26
      COMMON /PHOTON/ CF(72,20),P(24,20),IPH(20),IP,RFCT(20),PP(10,20), V  27
     1                IDEPO,RDEPO(26,10),LOCDEP(10),RDCOEF(125,10),     V  28
     2                IDPTIM,DPEND,RDEP1(26,10),DNOWS,SPRSE(300)        V  29
      COMMON /MIX/    NMIX,AMIX(26),STRM,STOPM,DC(104)                  V  30
      COMMON /MIXING/ DSTRT,DEND,AMC(5),BMC(5),CMC(5),FD(6),FG(6),      V  31
     1                AMXX(26),DL,TTMAX,SSRISE,SRMIN,DELH,TDIL,NMXX,    V  32
     2                HEIGHT,SSET,SRISE                                 V  32A
      COMMON /BK1/    FBK(20),FBKAL(5),HCBK,XNBK,OZBK,H2OBK             V  33
      COMMON /CRED/   ICR,ISPCR,SPCR69(3),SURFCR(3),ALOFCR(3),          V  34
     1                REDCR(3),FSRFCR(3),FALFCR(3),COSFBK,COAFBK        V  35
      COMMON /BIOG/   NBEM,IBSP,WTMOL(5),ACB4(5),SURFBI(5),ALOFBI(5),   V  35A
     1                REDBI(5),FSRFBI(5),FALFBI(5),BEMO(26,5),          V  35B
     2                BECO(126,5),CBTOT(5),IBLS(5),BESTOP,BFRAC(20,5)   V  35C
      COMMON /WATER / WATEND,NWATER,PAMB,QW(30),QR(30),PMILLI,ILH2O     V  35D
C                                                                       V  35E
      COMMON /BIOCHR/ IISOP, IBEMSP(5)                                  V  35F
      COMMON /CRECHR/ ISPNCR(3)                                         V  35G
      COMMON /EMSCHR/ EMSP(5)                                           V  35H
      COMMON /NEED1C/ IBZA                                              V  35I
      COMMON /PHTCHR/ ISPDP(10)                                         V  35J
      COMMON /CALCHR/ SPECIS(61)                                        V  35K
      COMMON /SPECHR/ HCSPEC(20), PLSP(5), REACT(61)                    V  35L
C                                                                       V  35M
      CHARACTER*2 ITTL                                                  V  35N
      CHARACTER*4 ISPDP, ISPNCR, IBEMSP                                 V  35O
      CHARACTER*4 SPECIS, HCSPEC, PLSP, REACT, IISOP, EMSP              V  35P
      CHARACTER*4 IBLANK,MBLANK,IIHC,IINX,IICO,IINO2,IINO,IIO3,         V  35Q
     1            IIH2O,IBZA,JPLUS,INST                                 V  35R
C                                                                       V  35S
      DIMENSION RT(200), RX(20), C(61), CO3(5), INST(3,5),YY(61,6)      V  36
C                                                                       V  37


34.  The following J subscripts were changed from:

      IF (EMSP(J).EQ.IIHC.OR.EMSP(J).EQ.IINX) GO TO 40                  V  81

to:

      IF (EMSP(I).EQ.IIHC.OR.EMSP(I).EQ.IINX) GO TO 40                  V  81


35.  The following line was added:

      IF (QW(1).GT.0.) C(N)=QW(1)                                       V 101A


36.  Several commas were deleted changing the following lines from:

  470 FORMAT (1H0,F11.5,4X,F11.5,5X,F11.5,5X,5(1PE12.5,3X))             V 315
  480 FORMAT (/10H NET RATES,1X,1P10E12.3/(11X,1P10E12.3))              V 316
  490 FORMAT (//1X,22HTHE REACTION RATES ARE/(1H ,1P10E13.2))           V 317
  500 FORMAT (//3X,5HTIME ,4X,10(4X,A4,4X)/1X,8HINTERVAL,3X,10(4X,A4,   V 318
     14X)/(12X,10(4X,A4,4X)))                                           V 319
  510 FORMAT (1H0,F11.5,4X,F11.5,5X,F11.5,5X,5(1PE12.5,3X),8H NOT MAX)  V 320
  520 FORMAT (1H1/)                                                     V 321
  530 FORMAT (/1PE11.3,10E12.3/E11.3,10E12.3/(11X,10E12.3))             V 322
  540 FORMAT (46X,36A2)                                                 V 323
  550 FORMAT (1H0,F11.5,F9.5,F11.5,2X,4(1PE10.4,3X,0PF5.0,2X),1PE10.4,  V 324
     13X,0PF5.0)                                                        V 325
  560 FORMAT (24H0THE ERROR TOLERANCE IS ,1PE10.3/                      V 326
     125H0THE TEMPERATURE USED IS ,E10.3/                               V 327
     221H0THE MIXING HEIGHT IS ,E10.2)                                  V 328
  570 FORMAT (29H0THE RATE CONSTANTS USED WERE//(1H0,1P10E13.3))        V 329
  580 FORMAT (29H0THE PHOTOLYSIS REACTIONS ARE/(1H0,9I13))              V 330
  590 FORMAT (34H0THE PHOTOLYTIC RATE CONSTANTS ARE/(5X,1P9E13.3))      V 331

to:

  470 FORMAT (1H0,F11.5,4X,F11.5,5X,F11.5,5X,5(1P,E12.5,3X))            V 315
  480 FORMAT (/10H NET RATES,1X,1P,10E12.3/(11X,1P,10E12.3))            V 316
  490 FORMAT (//1X,22HTHE REACTION RATES ARE/(1H ,1P,10E13.2))          V 317
  500 FORMAT (//3X,5HTIME ,4X,10(4X,A4,4X)/1X,8HINTERVAL,3X,10(4X,A4,   V 318
     14X)/(12X,10(4X,A4,4X)))                                           V 319
  510 FORMAT (1H0,F11.5,4X,F11.5,5X,F11.5,5X,5(1P,E12.5,3X),8H NOT MAX) V 320
  520 FORMAT (1H1/)                                                     V 321
  530 FORMAT (/1P,E11.3,10E12.3/E11.3,10E12.3/(11X,10E12.3))            V 322
  540 FORMAT (46X,36A2)                                                 V 323
  550 FORMAT (1H0,F11.5,F9.5,F11.5,2X,4(1P,E10.4,3X,0P,F5.0,2X),1P,     V 324
     1E10.4,3X,0P,F5.0)                                                 V 325
  560 FORMAT (24H0THE ERROR TOLERANCE IS ,1P,E10.3/                     V 326
     125H0THE TEMPERATURE USED IS ,E10.3/                               V 327
     221H0THE MIXING HEIGHT IS ,E10.2)                                  V 328
  570 FORMAT (29H0THE RATE CONSTANTS USED WERE//(1H0,1P,10E13.3))       V 329
  580 FORMAT (29H0THE PHOTOLYSIS REACTIONS ARE/(1H0,9I13))              V 330
  590 FORMAT (34H0THE PHOTOLYTIC RATE CONSTANTS ARE/(5X,1P,9E13.3))     V 331

and changing the following NONCONSECUTIVE lines from:

  640 FORMAT (/(10X,1P10E12.3))                                         V 339
  690 FORMAT (1X,F8.5,2X,F8.5,2X,F8.5,3X,5(1PE8.5,2X))                  V 346
  700 FORMAT (1X,F8.5,2X,F8.5,2X,F8.5,3X,5(1PE8.5,2X),8H NOT MAX)       V 347
  710 FORMAT (1X,F8.5,F9.5,F8.5,2X,4(1PE8.4,2X,0PF6.0,2X),1PE8.4,       V 348
     12X,0PF6.0)                                                        V 349

to:

  640 FORMAT (/(10X,1P,10E12.3))                                        V 339
  690 FORMAT (1X,F8.5,2X,F8.5,2X,F8.5,3X,5(1P,E8.5,2X))                 V 346
  700 FORMAT (1X,F8.5,2X,F8.5,2X,F8.5,3X,5(1P,E8.5,2X),8H NOT MAX)      V 347
  710 FORMAT (1X,F8.5,F9.5,F8.5,2X,4(1P,E8.4,2X,0P,F6.0,2X),1P,E8.4,    V 348
     12X,0P,F6.0)                                                       V 349
  
37.  Character variables were separated from integer and real variables in the
     common statements and to facilitate debugging the following lines were   
     changed from: 
 
      COMMON /CNTRL/ SIG,SIGMA,INFO,NPTO,TSRT,DTIM,Z1,Z2,DCON,EHC,EXN,FLW    8
     1ST,TLST                                                           W    9
      COMMON /SPEC/ NS,HCSPEC(20),CARB(20),RCTY(20),XNF(2),IH(20),      W   10
     1INOX(2),FINHC(20),FALHC(20),NHC,OZIN,OZAL,HCIN,HCAL,XNIN,XNAL,    W   11
     2NOZ,FENX(2),C(61),REACT(61),NI,PLSP(5),KOZ(5)                     W   12
      COMMON /HJH/ HCSAV,XNSAV                                          W   13
      DIMENSION IA(1), JA(1), Y0(N)                                     W   14
      DIMENSION Y(N,6)                                                  W   15
      COMMON /GEAR1/ T,H,HMIN,HMAX,EPSC,UROUND,NC,MFC,KFLAG,JSTART      W   16
      COMMON /GEAR2/ YMAX(100)/GEAR3/ERROR(100)/GEAR4/W1(60,3)          W   17
      COMMON /GEAR5/ IW1(61,9)/GEAR6/W2(2400)/GEAR7/IW2(2400)           W   18
      COMMON /GEAR8/ EPSJ,IPTI2,IPTI3,IPTI4,IPTR2,IPTR3,NGRP            W   19
      COMMON /GEAR9/ HUSED,NQUSED,NSTEP,NFE,NJE,NZA,NPL,NPU,NZL,NZU,NZROW   20
      COMMON /INOUT/ INP,LOUT,ITAPE,IALN,IALL,INHH,IOZC                 W   21
      INTEGER HCSPEC,REACT,PLSP                                         W   22

to:

      COMMON /CNTRL/ SIG,SIGMA,INFO,NPTO,TSRT,DTIM,Z1,Z2,DCON,EHC,EXN,  W   8
     1               FLST,TLST                                          W   9
      COMMON /SPEC/  NS,CARB(20),RCTY(20),XNF(2),IH(20),INOX(2),        W  10
     1               FINHC(20),FALHC(20),NHC,OZIN,OZAL,HCIN,HCAL,XNIN,  W  11
     2               XNAL,NOZ,FENX(2),C(61),NI,KOZ(5)                   W  12
      COMMON /HJH/   HCSAV,XNSAV                                        W  13
      COMMON /GEAR1/ T,H,HMIN,HMAX,EPSC,UROUND,NC,MFC,KFLAG,JSTART      W  14
      COMMON /GEAR2/ YMAX(100) /GEAR3/ERROR(100) /GEAR4/W1(60,3)        W  15
      COMMON /GEAR5/ IW1(61,9) /GEAR6/W2(2400)   /GEAR7/IW2(2400)       W  16
      COMMON /GEAR8/ EPSJ,IPTI2,IPTI3,IPTI4,IPTR2,IPTR3,NGRP            W  17
      COMMON /GEAR9/ HUSED,NQUSED,NSTEP,NFE,NJE,NZA,NPL,NPU,NZL,NZU,NZROW  18
      COMMON /INOUT/ INP,LOUT,ITAPE,IALN,IALL,INHH,IOZC                 W  19
C                                                                       W  19A
      COMMON /CALCHR/ SPECIS(61)                                        W  19B
      COMMON /SPECHR/ HCSPEC(20), PLSP(5), REACT(61)                    W  19C
      CHARACTER*4 SPECIS, HCSPEC, REACT, PLSP                           W  19D
C                                                                       W  19E
      DIMENSION IA(1), JA(1), Y0(N)                                     W  20
      DIMENSION Y(N,6)                                                  W  21
C                                                                       W  22

and by changing these lines:

      COMMON /GEAR1/ T,H,HMIN,HMAX,EPS,UROUND,N,MF,KFLAG,JSTART         X   6
      COMMON /GEAR2/ YMAX(100)/GEAR3/ERROR(100)                         X   7
      COMMON /GEAR6/ W2(2400)/GEAR7/IW2(2400)                           X   8
      COMMON /GEAR8/ EPSJ,IPTI2,IPTI3,IPTI4,IPTR2,IPTR3,NGRP            X   9
      COMMON /GEAR9/ HUSED,NQUSED,NSTEP,NFE,NJE,IDUMMY(5),NZRO          X  10
      COMMON /HEAT/ SC(200,12),ISC(200,3)                               X  11
      COMMON /CALC/ NR,KR(200,12),A(200),S(200),R(200),ITYPE(200),IB(60)X  12
     1,JB(800),DILUT,TEMP,ERR,START,STOPP,SPECIS(61),TPRNT,TSTEP,ZENI   X  13
      COMMON /PHOTON/ CF(72,20),PX(24,20),IPH(20),IP,RFCT(20),PP(10,20),X  14
     1IDEPO,RDEPO(26,10),LOCDEP(10),ISPDP(10),RDCOEF(125,10),IDPTIM,DPENX  15
     2D,RDEP1(26,10),DNOWS,SPRSE(300)                                   X  16
      DIMENSION Y(N0,1), IA(1), JA(1), W1(NMX,1), IW1(NMX1,1)           X  17
      DIMENSION EL(13), TQ(4), RT(3)                                    X  18
      INTEGER SPECIS                                                    X  19

to:

      COMMON /GEAR1/  T,H,HMIN,HMAX,EPS,UROUND,N,MF,KFLAG,JSTART        X   6
      COMMON /GEAR2/  YMAX(100)    /GEAR3/ERROR(100)                    X   7
      COMMON /GEAR6/  W2(2400)     /GEAR7/IW2(2400)                     X   8
      COMMON /GEAR8/  EPSJ,IPTI2,IPTI3,IPTI4,IPTR2,IPTR3,NGRP           X   9
      COMMON /GEAR9/  HUSED,NQUSED,NSTEP,NFE,NJE,IDUMMY(5),NZRO         X  10
      COMMON /HEAT/   SC(200,12),ISC(200,3)                             X  11
      COMMON /CALC/   NR,KR(200,12),A(200),S(200),R(200),ITYPE(200),    X  12
     1                IB(60),JB(800),DILUT,TEMP,ERR,START,STOPP,TPRNT,  X  12A
     2                TSTEP,ZENI                                        X  13
      COMMON /PHOTON/ CF(72,20),PX(24,20),IPH(20),IP,RFCT(20),PP(10,20),X  14
     1                IDEPO,RDEPO(26,10),LOCDEP(10),RDCOEF(125,10),     X  15
     2                IDPTIM,DPEND,RDEP1(26,10),DNOWS,SPRSE(300)        X  16
      COMMON /CALCHR/ SPECIS(61)                                        X  16A
C                                                                       X  16B
      CHARACTER*4   SPECIS                                              X  16C
C                                                                       X  16D
      DIMENSION     Y(N0,6), IA(1), JA(1), W1(NMX,3), IW1(NMX1,9)       X  17
      DIMENSION     EL(13), TQ(4), RT(3)                                X  18
C                                                                       X  19


and by changing these lines from:

      COMMON /CALC/ NR,KR(200,12),A(200),S(200),R(200),ITYPE(200),IA(60)Y   7
     1,JA(800),DILUT,TEMP,ERR,START,STOPP,SPECIS(61),TPRNT,TSTEP,ZENI   Y   8
      COMMON /CNTRL/ SIG,SIGMA,INFO,NPTO,TSRT,DTIM,Z1,Z2,DCON,EHC,EXN,FLY   9
     1ST,TLST                                                           Y  10
      COMMON /SPEC/ NS,HCSPEC(20),CARB(20),RCTY(20),XNF(2),IH(20),      Y  11
     1INOX(2),FINHC(20),FALHC(20),NHC,OZIN,OZAL,HCIN,HCAL,XNIN,XNAL,    Y  12
     2NOZ,FENX(2),C(61),REACT(61),NI,PLSP(5),KOZ(5)                     Y  13
      COMMON /HEAT/ SC(200,12),ISC(200,3)                               Y  14
      COMMON /NEED1/ IBLANK,MBLANK,IIHC,IINX,IICO,IINO2,IINO,IIO3,      Y  15
     1IIH2O,IBZA,JPLUS                                                  Y  16
      COMMON /STORE/ AST(60)                                            Y  17
      COMMON /TEMPER/ TEMEND,NTEMP,QM(30)                               Y  18
      COMMON /SUNLIT/ ZZ1(10),RTCON(10),                                Y  19
     1LAM1,INC,SLA,SLO,TZ,IY,IM,ID,ISTRT,ISTOP,IINC,IEND,SPECIE,MAXZ,ITIY  20
     2ME(24),XZ(24),KK1(24),JSRT,JSTOP,PSPEC,MNLM,MXLM,MAXL,MAXJ        Y  21
      COMMON /PHOTON/ CF(72,20),P(24,20),IPH(20),IP,RFCT(20),PP(10,20), Y  22
     1IDEPO,RDEPO(26,10),LOCDEP(10),ISPDP(10),RDCOEF(125,10),IDPTIM,DPENY  23
     2D,RDEP1(26,10),DNOWS,SPRSE(300)                                   Y  24
      COMMON /EMIS/ NEM,IS1,ESTRT(5),ESTOP,ESLP,EMSP(5),IEMLS(5),EOSLP(5Y  25
     1),EMO(26,5),ECI(5),EM(26),EC(125),ES(125,5)                       Y  26
      COMMON /MIX/ NMIX,AMIX(26),STRM,STOPM,DC(104)                     Y  27
      COMMON /MIXING/ DSTRT,DEND,AMC(5),BMC(5),CMC(5),FD(6),FG(6),      Y  28
     1AMXX(26),DL,TTMAX,SRISE,SRMIN,DELH,TDIL,NMXX,HT,SSET,SSRISE       Y  29
      COMMON /ALOFT/ IALFT,CALFT(10),LOCALF(10),ISPAL(10)               Y  30
      COMMON /CRED/ ICR,ISPCR,ISPNCR(3),SPCR69(3),SURFCR(3),ALOFCR(3),  Y  31
     1REDCR(3),FSRFCR(3),FALFCR(3),COSFBK,COAFBK                        Y  32
      COMMON /BIOG/ NBEM,IBSP,IBEMSP(5),WTMOL(5),ACB4(5),SURFBI(5),     Y  32A
     1ALOFBI(5),REDBI(5),FSRFBI(5),FALFBI(5),BEMO(26,5),BECO(126,5),    Y  32B
     2IISOP,CBTOT(5),IBLS(5),BESTOP,BFRAC(20,5)                         Y  32C
      DIMENSION XT(L), X(L), ENOWS(5), ENWS1(5)                         Y  33
      INTEGER SPECIS,EMSP,PSPEC,PLSP,HCSPEC                             Y  34

to:

      COMMON /CALC/   NR,KR(200,12),A(200),S(200),R(200),ITYPE(200),    Y   7
     1                IA(60),JA(800),DILUT,TEMP,ERR,START,STOPP,TPRNT,  Y   8
     2                TSTEP,ZENI                                        Y   8A
      COMMON /CNTRL/  SIG,SIGMA,INFO,NPTO,TSRT,DTIM,Z1,Z2,DCON,EHC,EXN, Y   9
     1                FLST,TLST                                         Y  10
      COMMON /SPEC/   NS,CARB(20),RCTY(20),XNF(2),IH(20),INOX(2),       Y  11
     1                FINHC(20),FALHC(20),NHC,OZIN,OZAL,HCIN,HCAL,XNIN, Y  12
     2                XNAL,NOZ,FENX(2),C(61),NI,KOZ(5)                  Y  13
      COMMON /HEAT/   SC(200,12),ISC(200,3)                             Y  14
      COMMON /NEED1/  IBLANK,MBLANK,IIHC,IINX,IICO,IINO2,IINO,IIO3,     Y  15
     1                IIH2O,JPLUS                                       Y  16
C                                                                       Y  17
      COMMON /TEMPER/ TEMEND,NTEMP,QM(30)                               Y  18
      COMMON /SUNLIT/ ZZ1(10),RTCON(10),LAM1,INC,SLA,SLO,TZ,IY,IM,ID,   Y  19
     1                ISTRT,ISTOP,IINC,IEND,SPECIE,MAXZ,ITIME(24),XZ(24)Y  20
     2                ,KK1(24),JSRT,JSTOP,PSPEC,MNLM,MXLM,MAXL,MAXJ     Y  21
      COMMON /PHOTON/ CF(72,20),P(24,20),IPH(20),IP,RFCT(20),PP(10,20), Y  22
     1                IDEPO,RDEPO(26,10),LOCDEP(10),RDCOEF(125,10),     Y  23
     2                IDPTIM,DPEND,RDEP1(26,10),DNOWS,SPRSE(300)        Y  24
      COMMON /EMIS/   NEM,IS1,ESTRT(5),ESTOP,ESLP,IEMLS(5),EOSLP(5),    Y  25
     1                EMO(26,5),ECI(5),EM(26),EC(125),ES(125,5)         Y  26
      COMMON /MIX/    NMIX,AMIX(26),STRM,STOPM,DC(104)                  Y  27
      COMMON /MIXING/ DSTRT,DEND,AMC(5),BMC(5),CMC(5),FD(6),FG(6),      Y  28
     1                AMXX(26),DL,TTMAX,SRISE,SRMIN,DELH,TDIL,NMXX,HT,  Y  28A
     2                SSET,SSRISE                                       Y  29
      COMMON /ALOFT/  IALFT,CALFT(10),LOCALF(10)                        Y  30
      COMMON /CRED/   ICR,ISPCR,SPCR69(3),SURFCR(3),ALOFCR(3),          Y  31
     1                REDCR(3),FSRFCR(3),FALFCR(3),COSFBK,COAFBK        Y  32
      COMMON /BIOG/   NBEM,IBSP,WTMOL(5),ACB4(5),SURFBI(5),             Y  32A
     1                ALOFBI(5),REDBI(5),FSRFBI(5),FALFBI(5),BEMO(26,5),Y  32B
     2                BECO(126,5),CBTOT(5),IBLS(5),BESTOP,BFRAC(20,5)   Y  32C
      COMMON /WATER/  WATEND,NWATER,PAMB,QW(30),QR(30),PMILLI,ILH2O     Y  32D
C                                                                       Y  32E
      COMMON /ALFCHR/ ISPAL(10)                                         Y  32F
      COMMON /BIOCHR/ IISOP, IBEMSP(5)                                  Y  32G
      COMMON /CRECHR/ ISPNCR(3)                                         Y  32H
      COMMON /EMSCHR/ EMSP(5)                                           Y  32I
      COMMON /NEED1C/ IBZA                                              Y  32J
      COMMON /PHTCHR/ ISPDP(10)                                         Y  32K
      COMMON /CALCHR/ SPECIS(61)                                        Y  32L
      COMMON /SPECHR/ HCSPEC(20), PLSP(5), REACT(61)                    Y  32M
      CHARACTER*4 SPECIS, HCSPEC, REACT, PLSP                           Y  32N
C                                                                       Y  32O
      CHARACTER*4 ISPAL, ISPDP, ISPNCR, IBEMSP                          Y  32P
      CHARACTER*4 IISOP, EMSP                                           Y  32Q
      CHARACTER*4 IBLANK,MBLANK,IIHC,IINX,IICO,IINO2,IINO,IIO3,         Y  32R
     1   IIH2O,IBZA,JPLUS                                               Y  32S
C                                                                       Y  32T
      DIMENSION XT(L), X(L), ENOWS(5), ENWS1(5)                         Y  33
      INTEGER PSPEC                                                     Y  34
 

38.  A varying water vapor content algorithm was added to EKMA by changing: 
 
  280 IF (T.GT.TEMEND) GO TO 290                                        Y 185

to:

  280 IF (T.GT.TEMEND) GO TO 281                                        Y 185


and by adding:

C                                                                       Y 193A
C  DO VARYING WATER CONCENTRATIONS                                      Y 193B
C                                                                       Y 193C
  281 IF (T.GT.WATEND) GO TO 290                                        Y 193D
      IF (ILH2O.LE.0) GO TO 290                                         Y 193E
      IZ=IFIX(T*TINV)+1                                                 Y 193F
      Z=T*TINV-FLOAT(IZ-1)                                              Y 193G
      IF (T.LE.60.) WNOW=QW(1)+(0.5*QW(3)*(Z-1.)+0.5*QW(1)*(Z-3.)       Y 193H
     1  -QW(2)*(Z-2.))*Z                                                Y 193I
      IF (T.GT.60.) WNOW=QW(IZ)+0.25*Z*((5.*QW(IZ+1)-3.*QW(IZ)-QW(IZ-1) Y 193J
     1  -QW(IZ+2))+(QW(IZ-1)-QW(IZ)-QW(IZ+1)+QW(IZ+2))*Z)               Y 193K
      X(ILH2O)=WNOW                                                     Y 193L
  
39. The following contained unnecessary coding and the lines were changed
    from:

 
C     INTEGER IA(1),JA(1),IAP(1),JAWORK(1),C(1),IR(1),ICT(1)            AD  6
      INTEGER IA(1),JA(1),IAP(1),C(1),IR(1),ICT(1)                      AD  6A
      REAL JAWORK(1)                                                    AD  6B
      REAL A(1),AWORK(1)                                                AD  7

to:

      INTEGER IA(1),JA(1),IAP(1),C(1),IR(1),ICT(1)                      AD  6
      REAL A(1),AWORK(1),JAWORK(1)                                      AD  7


40.  The coding in the following lines was changed to meet ANSI standards.
     The NONCONSECUTIVE lines were changed from:

      JAOUTJ=JAWORK(J)                                                  AD 32
      INTEGER P(1),IRAC(1),IRA(1),JRA(1),IRU(1),JRU(1)                  AG 13

to:

      JAOUTJ=INT(JAWORK(J))                                             AD 32
      REAL    P(1),IRAC(1),IRA(1),JRA(1),IRU(1),JRU(1)                  AG 13
C                                                                       AG 13A
C                                                                       AG 13B
 
 
41.  Character variables were separated from integer and real variables in the
     common statements and to facilitate debugging the following lines were   
     changed from: 
 
      COMMON /HOUR/ OZM(5),NGO,TTM,TM(5)                                AH  9
      COMMON /CALC/ NR,KR(200,12),A(200),S(200),R(200),ITYPE(200),IA(60)AH 10
     1,JA(800),DILUT,TEMP,ERR,START,STOPP,SPECIS(61),TPRNT,TSTEP,ZENI   AH 11
      COMMON /SPEC/ NS,HCSPEC(20),CARB(20),RCTY(20),XNF(2),IH(20),      AH 12
     1INOX(2),FINHC(20),FALHC(20),NHC,OZIN,OZAL,HCIN,HCAL,XNIN,XNAL,    AH 13
     2NOZ,FENX(2),CR(61),REACT(61),NI,PLSP(5),JOZ(5)                    AH 14
      INTEGER SPECIS,HCSPEC,REACT,PLSP                                  AH 15

to:

      COMMON /HOUR/  OZM(5),NGO,TTM,TM(5)                               AH  9
      COMMON /CALC/ NR,KR(200,12),A(200),S(200),R(200),ITYPE(200),IA(60)AH 10
     1              ,JA(800),DILUT,TEMP,ERR,START,STOPP,TPRNT,TSTEP,ZENIAH 11
      COMMON /SPEC/ NS,CARB(20),RCTY(20),XNF(2),IH(20),INOX(2),         AH 12
     1              FINHC(20),FALHC(20),NHC,OZIN,OZAL,HCIN,HCAL,XNIN,   AH 13
     2              XNAL,NOZ,FENX(2),CR(61),NI,JOZ(5)                   AH 14
C                                                                       AH 15
      COMMON /CALCHR/ SPECIS(61)                                        AH 15A
      COMMON /SPECHR/ HCSPEC(20), PLSP(5), REACT(61)                    AH 15B
      CHARACTER*4 SPECIS, HCSPEC, REACT, PLSP                           AH 15C
C                                                                       AH 15D
  
42.  Character variables were separated from integer and real variables in the
     common statements and to facilitate debugging the following lines were   
     changed from: 
 
      COMMON /SPEC/ NS,HCSPEC(20),CARB(20),RCTY(20),XNF(2),IH(20),      AI  7
     1INOX(2),FINHC(20),FALHC(20),NHC,OZIN,OZAL,HCIN,HCAL,XNIN,XNAL,    AI  8
     2NOZ,FENX(2),CR(61),REACT(61),NI,PLSP(5),KOZ(5)                    AI  9

to:

      COMMON /SPEC/ NS,CARB(20),RCTY(20),XNF(2),IH(20),INOX(2),         AI  7
     1              FINHC(20),FALHC(20),NHC,OZIN,OZAL,HCIN,HCAL,XNIN,   AI  8
     2              XNAL,NOZ,FENX(2),CR(61),NI,KOZ(5)                   AI  9
C                                                                       AI  9A
      COMMON /SPECHR/ HCSPEC(20), PLSP(5), REACT(61)                    AI  9B
      CHARACTER*4  HCSPEC, REACT, PLSP                                  AI  9C
  
43.  Character variables were separated from integer and real variables in the
     common statements and to facilitate debugging the following lines were   
     changed from: 
 
      INTEGER A,A1(5)                                                   AK  6

to:

C     INTEGER A,A1(5)                                                   AK  6
      CHARACTER*6 A                                                     AK  6A
      CHARACTER*4 A1(5)                                                 AK  6B
 
44.  Character variables were separated from integer and real variables in the
     common statements and to facilitate debugging the following lines were   
     changed from: 
 
      COMMON /TITL/ ITTL(36)                                            AM  6
      COMMON /INOUT/ IN,IOUT,ITAPE,IALN,IALL,INHH,IOZC                  AM  7
      COMMON /CALC/ NR,KR(200,12),A(200),S(200),R(200),ITYPE(200),IA(60)AM  8
     1,JA(800),DILUT,TEMP,ERR,START,STOPP,SPECIS(61),TPRNT,TSTEP,ZENI   AM  9
      COMMON /SUNLIT/ Z(10),RTCON(10),                                  AM 10
     1LAM1,INC,SLA,SLO,TZ,IY,IM,ID,ISTRT,ISTOP,IINC,IEND,SPECIE,MAXZ,ITIAM 11
     2ME(24),XZ(24),KKK(24),JSTRT,JSTOP,PSPEC,MNLM,MXLM,MAXL,MAXJ       AM 12
      COMMON /SPEC/ NS,HCSPEC(20),CARB(20),RCTY(20),XNF(2),IH(20),      AM 13
     1INOX(2),FINHC(20),FALHC(20),NHC,OZIN,OZAL,HCIN,HCAL,XNIN,XNAL,    AM 14
     2NOZ,FENX(2),C(61),REACT(61),NI,PLSP(5),KOZ(5)                     AM 15
      COMMON /HOUR/ OZM(5),NGO,TM,DUMMM(5)                              AM 16
      COMMON /FRPLOT/ SAVCON(80,5),SAVTIM(80),NT1,INOW                  AM 17
      COMMON /PLTND/ JBAR,JSYMB,CVERT(9),TVERT(52,2)                    AM 18
      COMMON /NEED1/ JBLANK,MBLANK,IIHC,IINX,IICO,IINO2,IINO,IIO3,      AM 19
     1IIH2O,IBZA,JPLUS                                                  AM 20
      COMMON /GEAR7/ JGRID(101),JSAV(101),IDD(2198)                     AM 21

to:

      COMMON /TITL/  ITTL(36)                                           AM  6
      COMMON /INOUT/ IN,IOUT,ITAPE,IALN,IALL,INHH,IOZC                  AM  7
      COMMON /CALC/  NR,KR(200,12),A(200),S(200),R(200),ITYPE(200),     AM  8
     1               IA(60),JA(800),DILUT,TEMP,ERR,START,STOPP,TPRNT,   AM  9
     2               TSTEP,ZENI                                         AM  9A
      COMMON /SUNLIT/ Z(10),RTCON(10),LAM1,INC,SLA,SLO,TZ,IY,IM,ID,     AM 10
     1                ISTRT,ISTOP,IINC,IEND,SPECIE,MAXZ,ITIME(24),      AM 11
     2                XZ(24),KKK(24),JSTRT,JSTOP,PSPEC,MNLM,MXLM,MAXL,  AM 11A
     3                MAXJ                                              AM 12
      COMMON /SPEC/   NS,CARB(20),RCTY(20),XNF(2),IH(20),INOX(2),       AM 13
     1                FINHC(20),FALHC(20),NHC,OZIN,OZAL,HCIN,HCAL,XNIN, AM 14
     2                XNAL,NOZ,FENX(2),C(61),NI,KOZ(5)                  AM 15
      COMMON /HOUR/   OZM(5),NGO,TM,DUMMM(5)                            AM 16
      COMMON /FRPLOT/ SAVCON(80,5),SAVTIM(80),NT1,INOW                  AM 17
      COMMON /PLTND/  JBAR,JSYMB,CVERT(9),TVERT(52,2)                   AM 18
      COMMON /NEED1/  JBLANK,MBLANK,IIHC,IINX,IICO,IINO2,IINO,IIO3,     AM 19
     1                IIH2O,JPLUS                                       AM 20
      DIMENSION JGRID(101), JSAV(101)                                   AM 21
C                                                                       AM 21A
      COMMON /CALCHR/ SPECIS(61)                                        AM 21B
      COMMON /SPECHR/ HCSPEC(20), PLSP(5), REACT(61)                    AM 21C
      CHARACTER*1 JBAR, JSYMB                                           AM 21D
      CHARACTER*2 ITTL                                                  AM 21E
      CHARACTER*4 SPECIS, HCSPEC, REACT, PLSP                           AM 21F
      CHARACTER*4 JGRID, CVERT, TVERT                                   AM 21G
      CHARACTER*4 JBLANK,MBLANK,IIHC,IINX,IICO,IINO2,IINO,IIO3,         AM 21H
     1                IIH2O,JPLUS                                       AM 21I
C                                                                       AM 21J


45.  The arguments, NC and F, were never used therefore the following line was
     changed from : 
 
      SUBROUTINE RLINE (NC,F,KS1,JS)                                    AP  1
 
to: 
 
      SUBROUTINE RLINE (KS1,JS)                                         AP  1
 
 
46.  Character variables were separated from integer and real variables in the
     common statements and to facilitate debugging the following lines were   
     changed from: 
 
      COMMON /NEED/ HC,XN,NL,OZP(20),OZN(11,11,5),MR,LS,HCS,XNS         AP  6
      COMMON /CNTRL/ SIG,SIGMA,INFO,NPTO,TSTRT,DTIM,Z1,Z2,DCON,EHC,EXN,FAP  7
     1LST,TLST                                                          AP  8
      COMMON /HOUR/ OZM(5),NGO,TM,DUMMM(5)                              AP  9
      COMMON /SPEC/ NS,HCSPEC(20),CARB(20),RCTY(20),XNF(2),IH(20),      AP 10
     1INOX(2),FINHC(20),FALHC(20),NHC,OZIN,OZAL,HCIN,HCAL,XNIN,XNAL,    AP 11
     2NOZ,FENX(2),C(61),REACT(61),NI,PLSP(5),KOZ(5)                     AP 12
      COMMON /INOUT/ IN,IOUT,ITAPE,IALN,IALL,INHH,IOZC                  AP 13
      INTEGER HCSPEC,REACT,PLSP                                         AP 14

to:

      COMMON /NEED/  HC,XN,NL,OZP(20),OZN(11,11,5),MR,LS,HCS,XNS        AP  6
      COMMON /CNTRL/ SIG,SIGMA,INFO,NPTO,TSTRT,DTIM,Z1,Z2,DCON,EHC,EXN, AP  7
     1               FLST,TLST                                          AP  8
      COMMON /HOUR/  OZM(5),NGO,TM,DUMMM(5)                             AP  9
      COMMON /SPEC/  NS,CARB(20),RCTY(20),XNF(2),IH(20),INOX(2),        AP 10
     1               FINHC(20),FALHC(20),NHC,OZIN,OZAL,HCIN,HCAL,XNIN,  AP 11
     2               XNAL,NOZ,FENX(2),C(61),NI,KOZ(5)                   AP 12
      COMMON /INOUT/ IN,IOUT,ITAPE,IALN,IALL,INHH,IOZC                  AP 13
      COMMON /SPECHR/ HCSPEC(20), PLSP(5), REACT(61)                    AP 13A
      CHARACTER*4    HCSPEC,REACT,PLSP                                  AP 14
 
47. The arguments, SIG and F, were never used and therefore the following line
    was changed from: 
 
      SUBROUTINE LINER (SIG,KALCMP,F,OZN)                               AQ  1
 
to: 
      SUBROUTINE LINER (KALCMP,OZN)                                     AQ  1
 
 
48.  Character variables were separated from integer and real variables in the
     common statements and to facilitate debugging, the following lines were  
     changed from: 
 
      COMMON /NEED/ HC,XN,NL,OZP(20),OZ1(11,11,5),MR,LS,HCS,XNS         AQ  6
      COMMON /VVLB1/ FACTOR,DISTNC,CHRSZ,NCHR,OZLBL                     AQ  7
      COMMON /PLTVEC/ HCT(20),OT(20),NT,OHC,HCG,PLTGRD,OXN,XNG,HC1,XN1,TAQ  8
     1ICZ,DIGZ,CHRZ,IPLDEV                                              AQ  9
      COMMON /CNTRL/ SGG,SIGMA,INFO,NPTO,TSTRT,DTIM,Z1,Z2,DCON,EHC,EXN,FAQ 10
     1LST,TLST                                                          AQ 11
      COMMON /INOUT/ IN,IOUT,ITAPE,IALN,IALL,INHH,IOZC                  AQ 12
      COMMON /TITL/ ITTL(36)                                            AQ 13
      COMMON /GEAR6/ SCR(11,11),RXX(9,11),RPLV(20,11),RPLD(20,21),      AQ 14
     1 NRL(20),NSL(20),NBL(20),NTL(20),NSLV(20),NRLV(20),NBLV(20),      AQ 15
     2 NTLV(20),NSLD(20),NRLD(20),NBLD(20),NTLD(20),XNOX(11),XHC(11),   AQ 16
     3W(22),WW(22),OE(22),HCTP(20),XNE(22),XNEP(20),YP(20),TM(20),      AQ 17
     4XNAP(20),HCAP(20),HCLP(20),ITTL2(36),U(88),V(88),HCBP(20),        AQ 18
     5DUM1(378),NDM1(20),NDM2(20),NDM3(400)                             AQ 19
      COMMON /SCRAT3/ WY(20),ISPN                                       AQ 20
      DIMENSION F(20), RBL(20,11), RBLV(20,11), RBLD(20,21), ITTL1(36), AQ 21
     1 OZN(11,11)                                                       AQ 22
      DIMENSION LBLTOP(6),LBLBOT(6),LBLRGT(6),LBLLFT(6)                 AQ 23

to:

      COMMON /NEED/   HC,XN,NL,OZP(20),OZ1(11,11,5),MR,LS,HCS,XNS       AQ  6
      COMMON /VVLB1/  FACTOR,DISTNC,CHRSZ,NCHR,OZLBL                    AQ  7
      COMMON /PLTVEC/ HCT(20),OT(20),NT,OHC,HCG,PLTGRD,OXN,XNG,HC1,XN1, AQ  8
     1                TICZ,DIGZ,CHRZ,IPLDEV                             AQ  9
      COMMON /CNTRL/  SGG,SIGMA,INFO,NPTO,TSTRT,DTIM,Z1,Z2,DCON,EHC,EXN,AQ 10
     1                FLST,TLST                                         AQ 11
      COMMON /INOUT/  IN,IOUT,ITAPE,IALN,IALL,INHH,IOZC                 AQ 12
      COMMON /TITL/   ITTL(36)                                          AQ 13
      COMMON /GEAR6/  SCR(11,11),RXX(9,11),RPLV(20,11),RPLD(20,21),     AQ 14
     1                NRL(20),NSL(20),NBL(20),NTL(20),NSLV(20),NRLV(20),AQ 15
     2                NBLV(20),NTLV(20),NSLD(20),NRLD(20),NBLD(20),     AQ 16
     3                NTLD(20),XNOX(11),XHC(11),W(22),WW(22),OE(22),    AQ 16A
     3                HCTP(20),XNE(22),XNEP(20),YP(20),TM(20),XNAP(20), AQ 17
     4                HCAP(20),HCLP(20),ITTL2(36),U(88),V(88),HCBP(20), AQ 18
     5                DUM1(378),NDM1(20),NDM2(20),NDM3(400)             AQ 19
      COMMON /SCRAT3/ WY(20)                                            AQ 20
      DIMENSION     ITTL1(36),OZN(11,11)                                AQ 21
      DIMENSION     LBLTOP(6),LBLRGT(6)                                 AQ 22
C                                                                       AQ 23
      CHARACTER*1 LBLRGT, LBLTOP                                        AQ 23A
      CHARACTER*2 JBL, ITTL, ITTL1                                      AQ 23B
      CHARACTER*12 LBLLFT, LBLBOT                                       AQ 23C
C                                                                       AQ 23D
      DATA LBLTOP,LBLRGT/12*' '/                                        AQ 24
      DATA LBLLFT/'NOX (PPM)   '/                                       AQ 25
      DATA LBLBOT/'NMOC(PPMC)  '/,JBL/'  '/                             AQ 26

49.  Due to programming and plotter changes, the following lines were changed
     from:

      IF (KALCMP.LE.0) GO TO 10                                         AQ 49
C     CALL PLOTS (I1,I2,14)                                             AQ 50
C     CALL PLOT (XX-0.5*XSIZE,YY-0.5*YSIZE,-3)                          AQ 51
      CALL PLOTS
      CALL PLTSIZ (10.24,8.)
      CALL PLTORG (XX-0.5*XSIZE,YY-0.5*YSIZE)

to:

      NLL = 0                                                           AQ 48A
      IF (KALCMP.LE.0) GO TO 10                                         AQ 49
      CALL PLOTS (I1,I2,14)                                             AQ 50
      CALL PLOT (XX-0.5*XSIZE,YY-0.5*YSIZE,-3)                          AQ 51


and from:

C     DO 70 I=1,36                                                      AQ 86
C     IF (ITTL(I).NE.JBL) GO TO 80                                      AQ 87
C     NCNT=NCNT+1                                                       AQ 88
C  70 CONTINUE                                                          AQ 89
C  80 NLST=36-NCNT                                                      AQ 90
C     DO 90 I=1,NLST                                                    AQ 91
C  90 ITTL1(I)=ITTL(I+NCNT)                                             AQ 92
C     NCNT1=36                                                          AQ 93
C     DO 100 I=1,36                                                     AQ 94
C     II=37-I                                                           AQ 95
C     IF (ITTL1(II).NE.JBL) GO TO 110                                   AQ 96
C     NCNT1=NCNT1-1                                                     AQ 97
C 100 CONTINUE                                                          AQ 98
C 110 NCNT1=NCNT1-NCNT                                                  AQ 99
C     ORGX=((HCC*HC)-(FLOAT(NCNT1)*4.*CHRZ))/2.0                        AQ100
C     DO 120 I=1,NCNT1                                                  AQ101
C     CALL SYMBOL (ORGX,ORGY,CHRZ,ITTL1(I),0.,2)                        AQ102
C     ORGX=ORGX+2.0*CHRZ                                                AQ103
C 120 CONTINUE                                                          AQ104
C     CALL PLOT (10.,2.,999)                                            AQ105

to:

      DO 70 I=1,36                                                      AQ 86
      IF (ITTL(I).NE.JBL) GO TO 80                                      AQ 87
      NCNT=NCNT+1                                                       AQ 88
   70 CONTINUE                                                          AQ 89
   80 NLST=36-NCNT                                                      AQ 90
      DO 90 I=1,NLST                                                    AQ 91
   90 ITTL1(I)=ITTL(I+NCNT)                                             AQ 92
      NCNT1=36                                                          AQ 93
      DO 100 I=1,36                                                     AQ 94
      II = 37 - I                                                       AQ 95
      IF (ITTL1(II).NE.JBL) GO TO 110                                   AQ 96
      NCNT1=NCNT1-1                                                     AQ 97
  100 CONTINUE                                                          AQ 98
  110 NCNT1=NCNT1-NCNT                                                  AQ 99
      ORGX=((HCC*HC)-(FLOAT(NCNT1)*4.*CHRZ))/2.0                        AQ100
      DO 120 I=1,NCNT1                                                  AQ101
      CALL SYMBOL (ORGX,ORGY,CHRZ,ITTL1(I),IDUM,0.,2)                   AQ102
      ORGX=ORGX+2.0*CHRZ                                                AQ103
  120 CONTINUE                                                          AQ104
      CALL PLOT (10.,2.,999)                                            AQ105
  
50.  Character variables were separated from integer and real variables in the
     common statements and to facilitate debugging the following lines were   
     changed from: 
 
      COMMON /NEED/ HC,XN,NL,OZ1(20),OZN(11,11,5),MR,LS,HCS,XNS         AS  6
      COMMON /TITL/ ITTL(36)                                            AS  7
      COMMON /INOUT/ IN,IOUT,ITAPE,IALN,IALL,INHH,IOZC                  AS  8
      COMMON /CALC/ NR,KR(200,12),A(200),S(200),R(200),ITYPE(200),IA(60)AS  9
     1,JA(800),DILUT,TEMP,ERR,START,STOPP,SPECIS(61),TPRNT,TSTEP,ZENI   AS 10
      COMMON /PHOTON/ JGRID(101,42),SPRSE(13)                           AS 11
      COMMON /CNTRL/ SIG,SIGMA,INFO,NPTO,TSRT,DTIM,Z1,Z2,DCON,EHC,EXN,FLAS 12
     1ST,TLST                                                           AS 13
      COMMON /SPEC/ NS,HCSPEC(20),CARB(20),RCTY(20),XNF(2),IH(20),      AS 14
     1INOX(2),FINHC(20),FALHC(20),NHC,OZIN,OZAL,HCIN,HCAL,XNIN,XNAL,    AS 15
     2NOZ,FENX(2),C(61),REACT(61),NI,PLSP(5),KOZ(5)                     AS 16
      COMMON /GEAR6/ DUM1(880),XZP(20),DUM2(326),NGRID(101,2),DUM3(972) AS 17
      COMMON /HOUR/ OZM(5),NGO,TM,DUMMM(5)                              AS 18
      COMMON /SCRAT3/ OZP(20),ISPN                                      AS 19
      DIMENSION TVERT(52,2), TPRINT(11), NLINE(3)                       AS 20
      DIMENSION TV(7), SAVDAT(101), TV1(7)                              AS 21
      INTEGER JBLANK, TV, TVERT                                         AS 22

to:

      COMMON /NEED/   HC,XN,NL,OZ1(20),OZN(11,11,5),MR,LS,HCS,XNS       AS  6
      COMMON /TITL/   ITTL(36)                                          AS  7
      COMMON /INOUT/  IN,IOUT,ITAPE,IALN,IALL,INHH,IOZC                 AS  8
      COMMON /CALC/   NR,KR(200,12),A(200),S(200),R(200),ITYPE(200),    AS  9
     1                IA(60),JA(800),DILUT,TEMP,ERR,START,STOPP,        AS  9A
     2                TPRNT,TSTEP,ZENI                                  AS 10
C     COMMON /PHOTON/ JGRID(101,42),SPRSE(13)                           AS 11
      COMMON /CNTRL/  SIG,SIGMA,INFO,NPTO,TSRT,DTIM,Z1,Z2,DCON,EHC,EXN, AS 12
     1                FLST,TLST                                         AS 13
      COMMON /SPEC/   NS,CARB(20),RCTY(20),XNF(2),IH(20),INOX(2),       AS 14
     1                FINHC(20),FALHC(20),NHC,OZIN,OZAL,HCIN,HCAL,XNIN, AS 15
     2                XNAL,NOZ,FENX(2),C(61),NI,KOZ(5)                  AS 16
C     COMMON /GEAR6/  DUM1(880),XZP(20),DUM2(326),DUM3(972)             AS 17
C     COMMON /GEAR6C/ NGRID(101,2)                                      AS 17A
      COMMON /HOUR/   OZM(5),NGO,TM,DUMMM(5)                            AS 18
      COMMON /SCRAT3/ OZP(20)                                           AS 18A
      COMMON /SCRATC/ ISPN                                              AS 19
      COMMON /CALCHR/ SPECIS(61)                                        AS 19A
      COMMON /SPECHR/ HCSPEC(20), PLSP(5), REACT(61)                    AS 19B
C                                                                       AS 19C
      DIMENSION     TVERT(52,2), TPRINT(11), NLINE(3)                   AS 20
      DIMENSION     TV(7), SAVDAT(101), TV1(7)                          AS 21
      DIMENSION     JGRID(101,42), NGRID(101,2), DUM3(101)              AS 21A
C                                                                       AS 21B
      CHARACTER*1 JPLUS, JBAR, JSYMB, JBL                               AS 21C
      CHARACTER*1 JGRID, NGRID, NLINE                                   AS 21D
      CHARACTER*2 ITTL                                                  AS 21E
      CHARACTER*4 JBLANK, TV, TVERT, ISPN                               AS 21F
      CHARACTER*4 SPECIS, HCSPEC, REACT, PLSP                           AS 21G
C                                                                       AS 22
 
 
51.  A change in the subscript of dimensioned variable, Z, precipitated the   
     changes in the following lines from: 
 
      DIMENSION Z(ND1,1),C(1),LBL(3)                                    AU 23
      LOGICAL NOLBL                                                     AU 24
      COMMON /VVCONM/ IX,JY,IDX,JDY,NBR,LOOP,NP,NTBL(1000),NR,          AU 25
     1    NX,NY,XSIZ,YSIZ,XXFLG,KALCMP                                  AU 26
      COMMON /VVLB1/ FACT,DIST,CHRSZ,NCHR,OZL                           AU 27

to:

      DIMENSION Z(11,1),C(1)                                            AU 23
      LOGICAL NOLBL                                                     AU 24
      COMMON /VVCONM/ IX,JY,IDX,JDY,NBR,LOOP,NP,NTBL(1000),NR,          AU 25
     1                NX,NY,XSIZ,YSIZ,XXFLG,KALCMP                      AU 26
      COMMON /VVLB1/  FACT,DIST,CHRSZ,NCHR,OZL                          AU 27
  

52. The variable, FUZZ, was not used and the other lines were restructured for
    debugging purposes from: 
 
     1     NX,NY,XSIZ,YSIZ,XXFLG,KALCMP                                 AV 14
      COMMON /CNTRL/ SIG,SIGMA,INFO,NPTO,TSRT,DTIM,Z1,Z2,DCON,EHC,EXN,FLAV 15
     1ST,TLST                                                           AV 16
      DATA INX /-1,-1,0,1,1,1,0,-1/                                     AV 17
      DATA JNY /0,1,1,1,0,-1,-1,-1/                                     AV 18
      DATA FUZZ/0.003/                                                  AV 19

to:

     1                NX,NY,XSIZ,YSIZ,XXFLG,KALCMP                      AV 14
      COMMON /CNTRL/  SIG,SIGMA,INFO,NPTO,TSRT,DTIM,Z1,Z2,DCON,EHC,EXN, AV 15
     1                FLST,TLST                                         AV 16
      DATA INX /-1,-1,0,1,1,1,0,-1/                                     AV 17
      DATA JNY /0,1,1,1,0,-1,-1,-1/                                     AV 18
C     DATA FUZZ/0.003/                                                  AV 19

53.  A comma was deleted thereby changing the following line from:

 1111 FORMAT (1P3E13.4)                                                 AV175B


to:

 1111 FORMAT (1P,3E13.4)                                                AV175B

 
 
54. The variable, TINY, was not used and the other lines were restructured for
    debugging purposes from: 
 
      COMMON /VVKRV/ NPTS,NSLP,SLP1,SLPN,LSLP,TANGNT,S,                 AW 28
     1     X(32),Y(32),XP(32),YP(32)                                    AW 29
      COMMON /VVLB1/ FCTR,DIST,CHRSZ,NCHR,OZLBL                         AW 30
      COMMON /HOUR/ OZR(5),NGG,TM,DUM(5)                                AW 31
      COMMON /NEED/ HC,XN,NL,OZP(20),OZN(11,11,5),MR,LS,HCS,XNS         AW 32
C                                                                       AW 33
      DATA STEP/0.04/, MXPT/31/, FUZZ/0.05/,NPTS1/0/                    AW 34
      DATA TANN/0./, TINY/0.0001/,LSLP1/0/,IFRST/1/                     AW 35

to:

      COMMON /VVKRV/  NPTS,NSLP,SLP1,SLPN,LSLP,TANGNT,S,                AW 28
     1                X(32),Y(32),XP(32),YP(32)                         AW 29
      COMMON /VVLB1/  FCTR,DIST,CHRSZ,NCHR,OZLBL                        AW 30
      COMMON /HOUR/   OZR(5),NGG,TM,DUM(5)                              AW 31
      COMMON /NEED/   HC,XN,NL,OZP(20),OZN(11,11,5),MR,LS,HCS,XNS       AW 32
C                                                                       AW 33
      DATA STEP/0.04/, MXPT/31/, FUZZ/0.05/,NPTS1/0/                    AW 34
      DATA TANN/0./,LSLP1/0/,IFRST/1/                                   AW 35


55.  Comment lines were inserted changing:

      COMMON /VVLB1/ FACT,DIST,CHRSZ,NCHR,OZL                           AX 29

to:

C                                                                       AX 28A
      COMMON /VVLB1/ FACT,DIST,CHRSZ,NCHR,OZL                           AX 29
C                                                                       AX 29A


56.  For debugging purposes the following lines were changed from:

      COMMON /VVKRV/ NPTS,NSLP,SLP1,SLPN,LSLP,TANGNT,S,                 AY 44
     1     X(32),Y(32),XP(32),YP(32)                                    AY 45
      COMMON /CNTRL/ SIG,SIGMA,INFO,NPTO,TSRT,DTIM,Z1,Z2,DCON,EHC,EXN,FLAY 46
     1ST,TLST                                                           AY 47
      COMMON /EXPVAL/ EXPMAX                                            AY 48

to:

      COMMON /VVKRV/  NPTS,NSLP,SLP1,SLPN,LSLP,TANGNT,S,                AY 44
     1                X(32),Y(32),XP(32),YP(32)                         AY 45
      COMMON /CNTRL/  SIG,SIGMA,INFO,NPTO,TSRT,DTIM,Z1,Z2,DCON,EHC,EXN, AY 46
     1                FLST,TLST                                         AY 47
      COMMON /EXPVAL/ EXPMAX                                            AY 48
C                                                                       AY 48A



and from:

     1     X(32),Y(32),XP(32),YP(32)                                    AZ 44
      COMMON /CNTRL/ SIG,SIGMA,INFO,NPTO,TSRT,DTIM,Z1,Z2,DCON,EHC,EXN,FLAZ 45
     1ST,TLST                                                           AZ 46

to:

     1               X(32),Y(32),XP(32),YP(32)                          AZ 44
      COMMON /CNTRL/ SIG,SIGMA,INFO,NPTO,TSRT,DTIM,Z1,Z2,DCON,EHC,EXN,  AZ 45
     1               FLST,TLST                                          AZ 46
  

57.  The ( and ) symbols were changed to < and > respectively thereby changing 
     the following lines from: 
 
C     *** FOLLOWING ARE ADJUSTABLE -- IF LABEL ) 0, ALL TICS ARE        BA 27
C         LABELED, IF LABEL = 0, THE LAST TIC IS NOT LABELED,           BA 28
C         IF LABEL ( 0, THE FIRST AND LAST ARE NOT LABELED              BA 29

to:

C     *** FOLLOWING ARE ADJUSTABLE -- IF LABEL > 0, ALL TICS ARE        BA 27
C         LABELED, IF LABEL = 0, THE LAST TIC IS NOT LABELED,           BA 28
C         IF LABEL < 0, THE FIRST AND LAST ARE NOT LABELED              BA 29
 
 
58.  Character variables were separated from integer and real variables in the
     common statements and to facilitate debugging the following lines were   
     changed from: 
 
      COMMON /PLTVEC/ HCT(20),OT(20),NH,OHC,HCG,PLTGRD,OXN,XNG,HC1,XN1,TBA 33
     1ICSIZ,DIGSIZ,CHRSIZ,IPLDEV                                        BA 34
      INTEGER IBCD(3)                                                   BA 35

to:

      COMMON /PLTVEC/ HCT(20),OT(20),NH,OHC,HCG,PLTGRD,OXN,XNG,HC1,XN1, BA 33
     1                TICSIZ,DIGSIZ,CHRSIZ,IPLDEV                       BA 34
C     INTEGER IBCD(3)                                                   BA 35
      CHARACTER*24 IBCD                                                 BA 35A



and from:

      COMMON /PLTVEC/ HCT(20),OT(20),NH,OHC,HCG,PLTGRD,OXN,XNG,HCC,XNC,TBB 11
     1ICZ,DIGZ,CHRZ,IPLDEV                                              BB 12
      INTEGER LBLBOT(3),LBLTOP(3),LBLLFT(3),LBLRGT(3)                   BB 13

to:

      COMMON /PLTVEC/ HCT(20),OT(20),NH,OHC,HCG,PLTGRD,OXN,XNG,HCC,XNC, BB 11
     1                TICZ,DIGZ,CHRZ,IPLDEV                             BB 12
      DIMENSION LBLTOP(6),LBLRGT(6)                                     BB 13
      CHARACTER*1 LBLRGT, LBLTOP                                        BB 13A
      CHARACTER*12 LBLLFT, LBLBOT                                       BB 13B


59. CALL SYMBOL was modified from:

      CALL SYMBOL (X0,Y0,CHRSIZ,IBCD,ANGLE,NCCAR)                       BA 138

to: 

      CALL SYMBOL (X0,Y0,CHRSIZ,IBCD,IDUM,ANGLE,NCCAR)                  BA 138

    so that the Calcomp 1051 plotter could be used.
 

60. The following lines were added to facilitate the opening of input/output 
    files and to create dummy subroutines to be used in the event that a     
    Calcomp or a Calcomp compatible software package is not available for     
    linking to EKMA. 
 
      SUBROUTINE OPENA                                                  BC  1
C                                                                       BC  2
C  OPEN SUBROUTINE FOR OZIPM4                                           BC  3
C                                                                       BC  4
      CHARACTER*80 IPATH                                                BC  5
      CHARACTER*1 IA,IA1                                                BC  6
C                                                                       BC  7
C  OPEN INPUT AND OUTPUT FILES FOR EKMA/OZIPM4                          BC  8
C                                                                       BC  9
   10 CONTINUE                                                          BC 10
      READ (14,100,END=99) IA, IA1, IPATH                               BC 11
      IUNIT = 0                                                         BC 12
      IF (IA .EQ. 'i' .OR. IA .EQ. 'I') IUNIT = 7                       BC 13
      IF (IA .EQ. 'o' .OR. IA .EQ. 'O') IUNIT = 10                      BC 14
      IF (IA .EQ. 'p' .OR. IA .EQ. 'P') IUNIT = 8                       BC 15
      IF (IA .EQ. 'r' .OR. IA .EQ. 'R') IUNIT = 9                       BC 16
      IF (IA .EQ. 'e' .OR. IA .EQ. 'E') IUNIT = 11                      BC 17
      IF (IA .EQ. 'm' .OR. IA .EQ. 'M') IUNIT = 54                      BC 18
C                                                                       BC 19
C  CHECK FOR CORRECT INPUT STRUCTURE                                    BC 20
C                                                                       BC 21
      IF (IA1 .NE. '=') IUNIT = 0                                       BC 22
      IF (IUNIT .NE. 0) GO TO 20                                        BC 23
      STOP                                                              BC 24
   20 CONTINUE                                                          BC 25
      IF (IUNIT .NE. 54) OPEN (IUNIT, FILE = IPATH)                     BC 26
C      THE FOLLOWING LINE IS THE ONLY EXTENSION TO FORTRAN 77 STANDARDS BC 27
C      IN THIS SOURCE CODE. IN ORDER TO CREATE A METAFILE FOR PLOTTING  BC 28
C      PURPOSES, THE LINE WILL NEED TO BE UNCOMMENTED AND POSSIBLY      BC 29
C      REWRITTEN TO MEET THE SPECIFICATIONS OF YOUR COMPUTER SYSTEM.    BC 30
C     IF (IUNIT .EQ. 54) OPEN (IUNIT, FILE = IPATH, FORM = 'BINARY')    BC 31
      GO TO 10                                                          BC 32
C                                                                       BC 33
   99 RETURN                                                            BC 34
  100 FORMAT(A,A,80A)                                                   BC 35
      END                                                               BC 36
      SUBROUTINE PLOTS (I1,I2,I3)                                       BD  1
      RETURN                                                            BD  2
      END                                                               BD  3
      SUBROUTINE NEWPEN (IPLT)                                          BD  4
      RETURN                                                            BD  5
      END                                                               BD  6
      SUBROUTINE PLOT (XXZE,YYZE,IP1)                                   BD  7
      RETURN                                                            BD  8
      END                                                               BD  9
      SUBROUTINE SYMBOL (ORGX,ORGY,CHRZ,ITL1,IDUM,FPS1,IS1)             BD 10
      RETURN                                                            BD 11
      END                                                               BD 12
      SUBROUTINE NUMBER (XL,YL,CHRSZ,OZL,ANGD,IDG)                      BD 13
      RETURN                                                            BD 14
      END                                                               BD 15
